
_RTC_Read:

;LedClock.c,16 :: 		unsigned char RTC_Read(unsigned char address)
;LedClock.c,18 :: 		unsigned char value = 0;
	CLRF        RTC_Read_value_L0+0 
;LedClock.c,19 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;LedClock.c,20 :: 		Soft_I2C_Write(0xD0);
	MOVLW       208
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;LedClock.c,21 :: 		Soft_I2C_Write(address);
	MOVF        FARG_RTC_Read_address+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;LedClock.c,22 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;LedClock.c,23 :: 		Soft_I2C_Write(0xD1);
	MOVLW       209
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;LedClock.c,24 :: 		value = Soft_I2C_Read(0);
	CLRF        FARG_Soft_I2C_Read_ack+0 
	CLRF        FARG_Soft_I2C_Read_ack+1 
	CALL        _Soft_I2C_Read+0, 0
	MOVF        R0, 0 
	MOVWF       RTC_Read_value_L0+0 
;LedClock.c,25 :: 		Soft_I2C_Stop();
	CALL        _Soft_I2C_Stop+0, 0
;LedClock.c,26 :: 		return value;
	MOVF        RTC_Read_value_L0+0, 0 
	MOVWF       R0 
;LedClock.c,27 :: 		}
L_end_RTC_Read:
	RETURN      0
; end of _RTC_Read

_RTC_Write:

;LedClock.c,29 :: 		void RTC_Write(unsigned char address, unsigned char value)
;LedClock.c,31 :: 		Soft_I2C_Start();
	CALL        _Soft_I2C_Start+0, 0
;LedClock.c,32 :: 		Soft_I2C_Write(0xD0);
	MOVLW       208
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;LedClock.c,33 :: 		Soft_I2C_Write(address);
	MOVF        FARG_RTC_Write_address+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;LedClock.c,34 :: 		Soft_I2C_Write(value);
	MOVF        FARG_RTC_Write_value+0, 0 
	MOVWF       FARG_Soft_I2C_Write_data_+0 
	CALL        _Soft_I2C_Write+0, 0
;LedClock.c,35 :: 		Soft_I2C_Stop();
	CALL        _Soft_I2C_Stop+0, 0
;LedClock.c,36 :: 		}
L_end_RTC_Write:
	RETURN      0
; end of _RTC_Write

_RTC_init:

;LedClock.c,38 :: 		void RTC_init()
;LedClock.c,43 :: 		RTC_Write(0x0E, 0x40);    // CTRL
	MOVLW       14
	MOVWF       FARG_RTC_Write_address+0 
	MOVLW       64
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,44 :: 		RTC_Write(0x0F, 0x00);    // CTRL STA
	MOVLW       15
	MOVWF       FARG_RTC_Write_address+0 
	CLRF        FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,45 :: 		RTC_Write(0x03, 0x01);    // Day (01-07)
	MOVLW       3
	MOVWF       FARG_RTC_Write_address+0 
	MOVLW       1
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,46 :: 		RTC_Write(0x04, 0x01);    // Day (01-31)
	MOVLW       4
	MOVWF       FARG_RTC_Write_address+0 
	MOVLW       1
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,47 :: 		RTC_Write(0x05, 0x01);    // Month (01-12)
	MOVLW       5
	MOVWF       FARG_RTC_Write_address+0 
	MOVLW       1
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,48 :: 		RTC_Write(0x06, 0x01);    // Year (00-99)
	MOVLW       6
	MOVWF       FARG_RTC_Write_address+0 
	MOVLW       1
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,49 :: 		}
L_end_RTC_init:
	RETURN      0
; end of _RTC_init

_Shift_latch_Primary:

;LedClock.c,57 :: 		void Shift_latch_Primary()
;LedClock.c,59 :: 		SHIFT_LAT_1 = 1;                      // Lat
	BSF         PORTB+0, 6 
;LedClock.c,60 :: 		asm nop;
	NOP
;LedClock.c,61 :: 		SHIFT_LAT_1 = 0;                      // Lat
	BCF         PORTB+0, 6 
;LedClock.c,62 :: 		}
L_end_Shift_latch_Primary:
	RETURN      0
; end of _Shift_latch_Primary

_Shift_out_Primary:

;LedClock.c,64 :: 		void Shift_out_Primary(char one_digit)
;LedClock.c,67 :: 		for (x=0x00; x<=0x07; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Primary0:
	MOVF        R1, 0 
	SUBLW       7
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Primary1
;LedClock.c,69 :: 		if (one_digit & 0x80)               // DTL mask
	BTFSS       FARG_Shift_out_Primary_one_digit+0, 7 
	GOTO        L_Shift_out_Primary3
;LedClock.c,70 :: 		SHIFT_DAT_1 = 1;                  // Dat
	BSF         PORTB+0, 5 
	GOTO        L_Shift_out_Primary4
L_Shift_out_Primary3:
;LedClock.c,71 :: 		else SHIFT_DAT_1 = 0;               // Dat
	BCF         PORTB+0, 5 
L_Shift_out_Primary4:
;LedClock.c,72 :: 		one_digit <<= 1;
	RLCF        FARG_Shift_out_Primary_one_digit+0, 1 
	BCF         FARG_Shift_out_Primary_one_digit+0, 0 
;LedClock.c,73 :: 		SHIFT_CLC_1 = 1;                    // Clk
	BSF         PORTB+0, 7 
;LedClock.c,74 :: 		asm nop;
	NOP
;LedClock.c,75 :: 		SHIFT_CLC_1 = 0;                    // Clk
	BCF         PORTB+0, 7 
;LedClock.c,67 :: 		for (x=0x00; x<=0x07; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,76 :: 		}
	GOTO        L_Shift_out_Primary0
L_Shift_out_Primary1:
;LedClock.c,77 :: 		}
L_end_Shift_out_Primary:
	RETURN      0
; end of _Shift_out_Primary

_Shift_out_Primary_1:

;LedClock.c,79 :: 		void Shift_out_Primary_1(char one_digit)
;LedClock.c,82 :: 		for (x=0x00; x<=0x00; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Primary_15:
	MOVF        R1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Primary_16
;LedClock.c,84 :: 		if (one_digit & 0x80)               // DTL mask
	BTFSS       FARG_Shift_out_Primary_1_one_digit+0, 7 
	GOTO        L_Shift_out_Primary_18
;LedClock.c,85 :: 		SHIFT_DAT_1 = 1;                  // Dat
	BSF         PORTB+0, 5 
	GOTO        L_Shift_out_Primary_19
L_Shift_out_Primary_18:
;LedClock.c,86 :: 		else SHIFT_DAT_1 = 0;               // Dat
	BCF         PORTB+0, 5 
L_Shift_out_Primary_19:
;LedClock.c,87 :: 		one_digit <<= 1;
	RLCF        FARG_Shift_out_Primary_1_one_digit+0, 1 
	BCF         FARG_Shift_out_Primary_1_one_digit+0, 0 
;LedClock.c,88 :: 		SHIFT_CLC_1 = 1;                    // Clk
	BSF         PORTB+0, 7 
;LedClock.c,89 :: 		asm nop;
	NOP
;LedClock.c,90 :: 		SHIFT_CLC_1 = 0;                    // Clk
	BCF         PORTB+0, 7 
;LedClock.c,82 :: 		for (x=0x00; x<=0x00; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,91 :: 		}
	GOTO        L_Shift_out_Primary_15
L_Shift_out_Primary_16:
;LedClock.c,92 :: 		}
L_end_Shift_out_Primary_1:
	RETURN      0
; end of _Shift_out_Primary_1

_Shift_out_Primary_2:

;LedClock.c,94 :: 		void Shift_out_Primary_2(char one_digit)
;LedClock.c,97 :: 		for (x=0x00; x<=0x01; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Primary_210:
	MOVF        R1, 0 
	SUBLW       1
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Primary_211
;LedClock.c,99 :: 		if (one_digit & 0x80)               // DTL mask
	BTFSS       FARG_Shift_out_Primary_2_one_digit+0, 7 
	GOTO        L_Shift_out_Primary_213
;LedClock.c,100 :: 		SHIFT_DAT_1 = 1;                  // Dat
	BSF         PORTB+0, 5 
	GOTO        L_Shift_out_Primary_214
L_Shift_out_Primary_213:
;LedClock.c,101 :: 		else SHIFT_DAT_1 = 0;               // Dat
	BCF         PORTB+0, 5 
L_Shift_out_Primary_214:
;LedClock.c,102 :: 		one_digit <<= 1;
	RLCF        FARG_Shift_out_Primary_2_one_digit+0, 1 
	BCF         FARG_Shift_out_Primary_2_one_digit+0, 0 
;LedClock.c,103 :: 		SHIFT_CLC_1 = 1;                    // Clk
	BSF         PORTB+0, 7 
;LedClock.c,104 :: 		asm nop;
	NOP
;LedClock.c,105 :: 		SHIFT_CLC_1 = 0;                    // Clk
	BCF         PORTB+0, 7 
;LedClock.c,97 :: 		for (x=0x00; x<=0x01; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,106 :: 		}
	GOTO        L_Shift_out_Primary_210
L_Shift_out_Primary_211:
;LedClock.c,107 :: 		}
L_end_Shift_out_Primary_2:
	RETURN      0
; end of _Shift_out_Primary_2

_Shift_out_Primary_3:

;LedClock.c,109 :: 		void Shift_out_Primary_3(char one_digit)
;LedClock.c,112 :: 		for (x=0x00; x<=0x02; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Primary_315:
	MOVF        R1, 0 
	SUBLW       2
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Primary_316
;LedClock.c,114 :: 		if (one_digit & 0x80)               // DTL mask
	BTFSS       FARG_Shift_out_Primary_3_one_digit+0, 7 
	GOTO        L_Shift_out_Primary_318
;LedClock.c,115 :: 		SHIFT_DAT_1 = 1;                  // Dat
	BSF         PORTB+0, 5 
	GOTO        L_Shift_out_Primary_319
L_Shift_out_Primary_318:
;LedClock.c,116 :: 		else SHIFT_DAT_1 = 0;               // Dat
	BCF         PORTB+0, 5 
L_Shift_out_Primary_319:
;LedClock.c,117 :: 		one_digit <<= 1;
	RLCF        FARG_Shift_out_Primary_3_one_digit+0, 1 
	BCF         FARG_Shift_out_Primary_3_one_digit+0, 0 
;LedClock.c,118 :: 		SHIFT_CLC_1 = 1;                    // Clk
	BSF         PORTB+0, 7 
;LedClock.c,119 :: 		asm nop;
	NOP
;LedClock.c,120 :: 		SHIFT_CLC_1 = 0;                    // Clk
	BCF         PORTB+0, 7 
;LedClock.c,112 :: 		for (x=0x00; x<=0x02; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,121 :: 		}
	GOTO        L_Shift_out_Primary_315
L_Shift_out_Primary_316:
;LedClock.c,122 :: 		}
L_end_Shift_out_Primary_3:
	RETURN      0
; end of _Shift_out_Primary_3

_Shift_out_Primary_4:

;LedClock.c,124 :: 		void Shift_out_Primary_4(char one_digit)
;LedClock.c,127 :: 		for (x=0x00; x<=0x03; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Primary_420:
	MOVF        R1, 0 
	SUBLW       3
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Primary_421
;LedClock.c,129 :: 		if (one_digit & 0x80)               // DTL mask
	BTFSS       FARG_Shift_out_Primary_4_one_digit+0, 7 
	GOTO        L_Shift_out_Primary_423
;LedClock.c,130 :: 		SHIFT_DAT_1 = 1;                  // Dat
	BSF         PORTB+0, 5 
	GOTO        L_Shift_out_Primary_424
L_Shift_out_Primary_423:
;LedClock.c,131 :: 		else SHIFT_DAT_1 = 0;               // Dat
	BCF         PORTB+0, 5 
L_Shift_out_Primary_424:
;LedClock.c,132 :: 		one_digit <<= 1;
	RLCF        FARG_Shift_out_Primary_4_one_digit+0, 1 
	BCF         FARG_Shift_out_Primary_4_one_digit+0, 0 
;LedClock.c,133 :: 		SHIFT_CLC_1 = 1;                    // Clk
	BSF         PORTB+0, 7 
;LedClock.c,134 :: 		asm nop;
	NOP
;LedClock.c,135 :: 		SHIFT_CLC_1 = 0;                    // Clk
	BCF         PORTB+0, 7 
;LedClock.c,127 :: 		for (x=0x00; x<=0x03; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,136 :: 		}
	GOTO        L_Shift_out_Primary_420
L_Shift_out_Primary_421:
;LedClock.c,137 :: 		}
L_end_Shift_out_Primary_4:
	RETURN      0
; end of _Shift_out_Primary_4

_Digit4HH:

;LedClock.c,139 :: 		unsigned char Digit4HH(int a)           // Digit - to - port
;LedClock.c,141 :: 		switch(a)
	GOTO        L_Digit4HH25
;LedClock.c,144 :: 		case 0x00: return 0x10;
L_Digit4HH27:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,145 :: 		case 0x01: return 0xB0;
L_Digit4HH28:
	MOVLW       176
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,146 :: 		case 0x02: return 0x80;
L_Digit4HH29:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,147 :: 		case 0x03: return 0x80;
L_Digit4HH30:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,148 :: 		case 0x04: return 0x20;
L_Digit4HH31:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,149 :: 		case 0x05: return 0x40;
L_Digit4HH32:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,150 :: 		case 0x06: return 0x40;
L_Digit4HH33:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,151 :: 		case 0x07: return 0x90;
L_Digit4HH34:
	MOVLW       144
	MOVWF       R0 
	GOTO        L_end_Digit4HH
;LedClock.c,152 :: 		case 0x08: return 0x00;
L_Digit4HH35:
	CLRF        R0 
	GOTO        L_end_Digit4HH
;LedClock.c,153 :: 		case 0x09: return 0x00;
L_Digit4HH36:
	CLRF        R0 
	GOTO        L_end_Digit4HH
;LedClock.c,154 :: 		}
L_Digit4HH25:
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH370
	MOVLW       0
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH370:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH27
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH371
	MOVLW       1
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH371:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH28
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH372
	MOVLW       2
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH372:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH29
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH373
	MOVLW       3
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH373:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH30
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH374
	MOVLW       4
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH374:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH31
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH375
	MOVLW       5
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH375:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH32
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH376
	MOVLW       6
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH376:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH33
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH377
	MOVLW       7
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH377:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH34
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH378
	MOVLW       8
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH378:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH35
	MOVLW       0
	XORWF       FARG_Digit4HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HH379
	MOVLW       9
	XORWF       FARG_Digit4HH_a+0, 0 
L__Digit4HH379:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HH36
;LedClock.c,155 :: 		}
L_end_Digit4HH:
	RETURN      0
; end of _Digit4HH

_Digit3HL:

;LedClock.c,157 :: 		unsigned char Digit3HL(int a)           // Digit - to - port
;LedClock.c,159 :: 		switch(a)
	GOTO        L_Digit3HL37
;LedClock.c,162 :: 		case 0x00: return 0x00;
L_Digit3HL39:
	CLRF        R0 
	GOTO        L_end_Digit3HL
;LedClock.c,163 :: 		case 0x01: return 0xC0;
L_Digit3HL40:
	MOVLW       192
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,164 :: 		case 0x02: return 0x40;
L_Digit3HL41:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,165 :: 		case 0x03: return 0x40;
L_Digit3HL42:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,166 :: 		case 0x04: return 0x80;
L_Digit3HL43:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,167 :: 		case 0x05: return 0x20;
L_Digit3HL44:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,168 :: 		case 0x06: return 0x20;
L_Digit3HL45:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,169 :: 		case 0x07: return 0x40;
L_Digit3HL46:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit3HL
;LedClock.c,170 :: 		case 0x08: return 0x00;
L_Digit3HL47:
	CLRF        R0 
	GOTO        L_end_Digit3HL
;LedClock.c,171 :: 		case 0x09: return 0x00;
L_Digit3HL48:
	CLRF        R0 
	GOTO        L_end_Digit3HL
;LedClock.c,172 :: 		}
L_Digit3HL37:
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL381
	MOVLW       0
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL381:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL39
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL382
	MOVLW       1
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL382:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL40
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL383
	MOVLW       2
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL383:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL41
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL384
	MOVLW       3
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL384:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL42
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL385
	MOVLW       4
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL385:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL43
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL386
	MOVLW       5
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL386:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL44
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL387
	MOVLW       6
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL387:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL45
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL388
	MOVLW       7
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL388:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL46
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL389
	MOVLW       8
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL389:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL47
	MOVLW       0
	XORWF       FARG_Digit3HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3HL390
	MOVLW       9
	XORWF       FARG_Digit3HL_a+0, 0 
L__Digit3HL390:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3HL48
;LedClock.c,173 :: 		}
L_end_Digit3HL:
	RETURN      0
; end of _Digit3HL

_Digit1ML:

;LedClock.c,175 :: 		unsigned char Digit1ML(int a)           // Digit - to - port
;LedClock.c,177 :: 		switch(a)
	GOTO        L_Digit1ML49
;LedClock.c,180 :: 		case 0x00: return 0x00;
L_Digit1ML51:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,181 :: 		case 0x01: return 0x80;
L_Digit1ML52:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit1ML
;LedClock.c,182 :: 		case 0x02: return 0x00;
L_Digit1ML53:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,183 :: 		case 0x03: return 0x00;
L_Digit1ML54:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,184 :: 		case 0x04: return 0x80;
L_Digit1ML55:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit1ML
;LedClock.c,185 :: 		case 0x05: return 0x00;
L_Digit1ML56:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,186 :: 		case 0x06: return 0x00;
L_Digit1ML57:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,187 :: 		case 0x07: return 0x00;
L_Digit1ML58:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,188 :: 		case 0x08: return 0x00;
L_Digit1ML59:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,189 :: 		case 0x09: return 0x00;
L_Digit1ML60:
	CLRF        R0 
	GOTO        L_end_Digit1ML
;LedClock.c,190 :: 		}
L_Digit1ML49:
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML392
	MOVLW       0
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML392:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML51
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML393
	MOVLW       1
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML393:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML52
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML394
	MOVLW       2
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML394:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML53
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML395
	MOVLW       3
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML395:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML54
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML396
	MOVLW       4
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML396:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML55
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML397
	MOVLW       5
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML397:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML56
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML398
	MOVLW       6
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML398:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML57
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML399
	MOVLW       7
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML399:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML58
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML400
	MOVLW       8
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML400:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML59
	MOVLW       0
	XORWF       FARG_Digit1ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1ML401
	MOVLW       9
	XORWF       FARG_Digit1ML_a+0, 0 
L__Digit1ML401:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1ML60
;LedClock.c,191 :: 		}
L_end_Digit1ML:
	RETURN      0
; end of _Digit1ML

_Digit4MH:

;LedClock.c,193 :: 		unsigned char Digit4MH(int a)           // Digit - to - port
;LedClock.c,195 :: 		switch(a)
	GOTO        L_Digit4MH61
;LedClock.c,198 :: 		case 0x00: return 0x20;
L_Digit4MH63:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,199 :: 		case 0x01: return 0x70;
L_Digit4MH64:
	MOVLW       112
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,200 :: 		case 0x02: return 0x10;
L_Digit4MH65:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,201 :: 		case 0x03: return 0x10;
L_Digit4MH66:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,202 :: 		case 0x04: return 0x40;
L_Digit4MH67:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,203 :: 		case 0x05: return 0x80;
L_Digit4MH68:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,204 :: 		case 0x06: return 0x80;
L_Digit4MH69:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,205 :: 		case 0x07: return 0x30;
L_Digit4MH70:
	MOVLW       48
	MOVWF       R0 
	GOTO        L_end_Digit4MH
;LedClock.c,206 :: 		case 0x08: return 0x00;
L_Digit4MH71:
	CLRF        R0 
	GOTO        L_end_Digit4MH
;LedClock.c,207 :: 		case 0x09: return 0x00;
L_Digit4MH72:
	CLRF        R0 
	GOTO        L_end_Digit4MH
;LedClock.c,208 :: 		}
L_Digit4MH61:
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH403
	MOVLW       0
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH403:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH63
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH404
	MOVLW       1
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH404:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH64
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH405
	MOVLW       2
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH405:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH65
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH406
	MOVLW       3
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH406:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH66
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH407
	MOVLW       4
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH407:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH67
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH408
	MOVLW       5
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH408:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH68
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH409
	MOVLW       6
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH409:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH69
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH410
	MOVLW       7
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH410:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH70
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH411
	MOVLW       8
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH411:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH71
	MOVLW       0
	XORWF       FARG_Digit4MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4MH412
	MOVLW       9
	XORWF       FARG_Digit4MH_a+0, 0 
L__Digit4MH412:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4MH72
;LedClock.c,209 :: 		}
L_end_Digit4MH:
	RETURN      0
; end of _Digit4MH

_Digit2ML:

;LedClock.c,211 :: 		unsigned char Digit2ML(int a)           // Digit - to - port
;LedClock.c,213 :: 		switch(a)
	GOTO        L_Digit2ML73
;LedClock.c,216 :: 		case 0x00: return 0x00;
L_Digit2ML75:
	CLRF        R0 
	GOTO        L_end_Digit2ML
;LedClock.c,217 :: 		case 0x01: return 0x80;
L_Digit2ML76:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit2ML
;LedClock.c,218 :: 		case 0x02: return 0x80;
L_Digit2ML77:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit2ML
;LedClock.c,219 :: 		case 0x03: return 0x80;
L_Digit2ML78:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit2ML
;LedClock.c,220 :: 		case 0x04: return 0x00;
L_Digit2ML79:
	CLRF        R0 
	GOTO        L_end_Digit2ML
;LedClock.c,221 :: 		case 0x05: return 0x40;
L_Digit2ML80:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2ML
;LedClock.c,222 :: 		case 0x06: return 0x40;
L_Digit2ML81:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2ML
;LedClock.c,223 :: 		case 0x07: return 0x80;
L_Digit2ML82:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit2ML
;LedClock.c,224 :: 		case 0x08: return 0x00;
L_Digit2ML83:
	CLRF        R0 
	GOTO        L_end_Digit2ML
;LedClock.c,225 :: 		case 0x09: return 0x00;
L_Digit2ML84:
	CLRF        R0 
	GOTO        L_end_Digit2ML
;LedClock.c,226 :: 		}
L_Digit2ML73:
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML414
	MOVLW       0
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML414:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML75
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML415
	MOVLW       1
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML415:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML76
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML416
	MOVLW       2
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML416:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML77
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML417
	MOVLW       3
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML417:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML78
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML418
	MOVLW       4
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML418:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML79
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML419
	MOVLW       5
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML419:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML80
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML420
	MOVLW       6
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML420:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML81
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML421
	MOVLW       7
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML421:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML82
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML422
	MOVLW       8
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML422:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML83
	MOVLW       0
	XORWF       FARG_Digit2ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2ML423
	MOVLW       9
	XORWF       FARG_Digit2ML_a+0, 0 
L__Digit2ML423:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2ML84
;LedClock.c,227 :: 		}
L_end_Digit2ML:
	RETURN      0
; end of _Digit2ML

_Digit4ML:

;LedClock.c,229 :: 		unsigned char Digit4ML(int a)           // Digit - to - port
;LedClock.c,231 :: 		switch(a)
	GOTO        L_Digit4ML85
;LedClock.c,234 :: 		case 0x00: return 0x10;
L_Digit4ML87:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,235 :: 		case 0x01: return 0x70;
L_Digit4ML88:
	MOVLW       112
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,236 :: 		case 0x02: return 0x80;
L_Digit4ML89:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,237 :: 		case 0x03: return 0x40;
L_Digit4ML90:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,238 :: 		case 0x04: return 0x60;
L_Digit4ML91:
	MOVLW       96
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,239 :: 		case 0x05: return 0x40;
L_Digit4ML92:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,240 :: 		case 0x06: return 0x00;
L_Digit4ML93:
	CLRF        R0 
	GOTO        L_end_Digit4ML
;LedClock.c,241 :: 		case 0x07: return 0x70;
L_Digit4ML94:
	MOVLW       112
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,242 :: 		case 0x08: return 0x00;
L_Digit4ML95:
	CLRF        R0 
	GOTO        L_end_Digit4ML
;LedClock.c,243 :: 		case 0x09: return 0x40;
L_Digit4ML96:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit4ML
;LedClock.c,244 :: 		}
L_Digit4ML85:
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML425
	MOVLW       0
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML425:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML87
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML426
	MOVLW       1
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML426:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML88
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML427
	MOVLW       2
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML427:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML89
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML428
	MOVLW       3
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML428:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML90
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML429
	MOVLW       4
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML429:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML91
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML430
	MOVLW       5
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML430:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML92
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML431
	MOVLW       6
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML431:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML93
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML432
	MOVLW       7
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML432:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML94
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML433
	MOVLW       8
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML433:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML95
	MOVLW       0
	XORWF       FARG_Digit4ML_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4ML434
	MOVLW       9
	XORWF       FARG_Digit4ML_a+0, 0 
L__Digit4ML434:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4ML96
;LedClock.c,245 :: 		}
L_end_Digit4ML:
	RETURN      0
; end of _Digit4ML

_Digit3MH:

;LedClock.c,247 :: 		unsigned char Digit3MH(int a)           // Digit - to - port
;LedClock.c,249 :: 		switch(a)
	GOTO        L_Digit3MH97
;LedClock.c,252 :: 		case 0x00: return 0x00;
L_Digit3MH99:
	CLRF        R0 
	GOTO        L_end_Digit3MH
;LedClock.c,253 :: 		case 0x01: return 0xA0;
L_Digit3MH100:
	MOVLW       160
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,254 :: 		case 0x02: return 0x40;
L_Digit3MH101:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,255 :: 		case 0x03: return 0x20;
L_Digit3MH102:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,256 :: 		case 0x04: return 0xA0;
L_Digit3MH103:
	MOVLW       160
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,257 :: 		case 0x05: return 0x20;
L_Digit3MH104:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,258 :: 		case 0x06: return 0x00;
L_Digit3MH105:
	CLRF        R0 
	GOTO        L_end_Digit3MH
;LedClock.c,259 :: 		case 0x07: return 0xA0;
L_Digit3MH106:
	MOVLW       160
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,260 :: 		case 0x08: return 0x00;
L_Digit3MH107:
	CLRF        R0 
	GOTO        L_end_Digit3MH
;LedClock.c,261 :: 		case 0x09: return 0x20;
L_Digit3MH108:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit3MH
;LedClock.c,262 :: 		}
L_Digit3MH97:
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH436
	MOVLW       0
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH436:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH99
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH437
	MOVLW       1
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH437:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH100
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH438
	MOVLW       2
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH438:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH101
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH439
	MOVLW       3
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH439:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH102
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH440
	MOVLW       4
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH440:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH103
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH441
	MOVLW       5
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH441:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH104
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH442
	MOVLW       6
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH442:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH105
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH443
	MOVLW       7
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH443:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH106
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH444
	MOVLW       8
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH444:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH107
	MOVLW       0
	XORWF       FARG_Digit3MH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit3MH445
	MOVLW       9
	XORWF       FARG_Digit3MH_a+0, 0 
L__Digit3MH445:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit3MH108
;LedClock.c,263 :: 		}
L_end_Digit3MH:
	RETURN      0
; end of _Digit3MH

_Digit1HH:

;LedClock.c,265 :: 		unsigned char Digit1HH(int a)           // Digit - to - port
;LedClock.c,267 :: 		switch(a)
	GOTO        L_Digit1HH109
;LedClock.c,270 :: 		case 0x00: return 0x00;
L_Digit1HH111:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,271 :: 		case 0x01: return 0x80;
L_Digit1HH112:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit1HH
;LedClock.c,272 :: 		case 0x02: return 0x00;
L_Digit1HH113:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,273 :: 		case 0x03: return 0x00;
L_Digit1HH114:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,274 :: 		case 0x04: return 0x80;
L_Digit1HH115:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit1HH
;LedClock.c,275 :: 		case 0x05: return 0x00;
L_Digit1HH116:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,276 :: 		case 0x06: return 0x00;
L_Digit1HH117:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,277 :: 		case 0x07: return 0x80;
L_Digit1HH118:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit1HH
;LedClock.c,278 :: 		case 0x08: return 0x00;
L_Digit1HH119:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,279 :: 		case 0x09: return 0x00;
L_Digit1HH120:
	CLRF        R0 
	GOTO        L_end_Digit1HH
;LedClock.c,280 :: 		}
L_Digit1HH109:
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH447
	MOVLW       0
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH447:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH111
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH448
	MOVLW       1
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH448:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH112
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH449
	MOVLW       2
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH449:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH113
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH450
	MOVLW       3
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH450:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH114
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH451
	MOVLW       4
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH451:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH115
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH452
	MOVLW       5
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH452:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH116
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH453
	MOVLW       6
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH453:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH117
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH454
	MOVLW       7
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH454:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH118
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH455
	MOVLW       8
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH455:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH119
	MOVLW       0
	XORWF       FARG_Digit1HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit1HH456
	MOVLW       9
	XORWF       FARG_Digit1HH_a+0, 0 
L__Digit1HH456:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit1HH120
;LedClock.c,281 :: 		}
L_end_Digit1HH:
	RETURN      0
; end of _Digit1HH

_Digit4HL:

;LedClock.c,283 :: 		unsigned char Digit4HL(int a)           // Digit - to - port
;LedClock.c,285 :: 		switch(a)
	GOTO        L_Digit4HL121
;LedClock.c,288 :: 		case 0x00: return 0x20;
L_Digit4HL123:
	MOVLW       32
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,289 :: 		case 0x01: return 0xE0;
L_Digit4HL124:
	MOVLW       224
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,290 :: 		case 0x02: return 0x10;
L_Digit4HL125:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,291 :: 		case 0x03: return 0x80;
L_Digit4HL126:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,292 :: 		case 0x04: return 0xC0;
L_Digit4HL127:
	MOVLW       192
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,293 :: 		case 0x05: return 0x80;
L_Digit4HL128:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,294 :: 		case 0x06: return 0x00;
L_Digit4HL129:
	CLRF        R0 
	GOTO        L_end_Digit4HL
;LedClock.c,295 :: 		case 0x07: return 0xE0;
L_Digit4HL130:
	MOVLW       224
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,296 :: 		case 0x08: return 0x00;
L_Digit4HL131:
	CLRF        R0 
	GOTO        L_end_Digit4HL
;LedClock.c,297 :: 		case 0x09: return 0x80;
L_Digit4HL132:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit4HL
;LedClock.c,298 :: 		}
L_Digit4HL121:
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL458
	MOVLW       0
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL458:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL123
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL459
	MOVLW       1
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL459:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL124
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL460
	MOVLW       2
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL460:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL125
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL461
	MOVLW       3
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL461:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL126
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL462
	MOVLW       4
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL462:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL127
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL463
	MOVLW       5
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL463:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL128
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL464
	MOVLW       6
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL464:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL129
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL465
	MOVLW       7
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL465:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL130
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL466
	MOVLW       8
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL466:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL131
	MOVLW       0
	XORWF       FARG_Digit4HL_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit4HL467
	MOVLW       9
	XORWF       FARG_Digit4HL_a+0, 0 
L__Digit4HL467:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit4HL132
;LedClock.c,299 :: 		}
L_end_Digit4HL:
	RETURN      0
; end of _Digit4HL

_Digit2HH:

;LedClock.c,301 :: 		unsigned char Digit2HH(int a)           // Digit - to - port
;LedClock.c,303 :: 		switch(a)
	GOTO        L_Digit2HH133
;LedClock.c,306 :: 		case 0x00: return 0x00;
L_Digit2HH135:
	CLRF        R0 
	GOTO        L_end_Digit2HH
;LedClock.c,307 :: 		case 0x01: return 0x40;
L_Digit2HH136:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,308 :: 		case 0x02: return 0x80;
L_Digit2HH137:
	MOVLW       128
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,309 :: 		case 0x03: return 0x40;
L_Digit2HH138:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,310 :: 		case 0x04: return 0x40;
L_Digit2HH139:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,311 :: 		case 0x05: return 0x40;
L_Digit2HH140:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,312 :: 		case 0x06: return 0x00;
L_Digit2HH141:
	CLRF        R0 
	GOTO        L_end_Digit2HH
;LedClock.c,313 :: 		case 0x07: return 0x40;
L_Digit2HH142:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,314 :: 		case 0x08: return 0x00;
L_Digit2HH143:
	CLRF        R0 
	GOTO        L_end_Digit2HH
;LedClock.c,315 :: 		case 0x09: return 0x40;
L_Digit2HH144:
	MOVLW       64
	MOVWF       R0 
	GOTO        L_end_Digit2HH
;LedClock.c,316 :: 		}
L_Digit2HH133:
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH469
	MOVLW       0
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH469:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH135
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH470
	MOVLW       1
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH470:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH136
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH471
	MOVLW       2
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH471:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH137
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH472
	MOVLW       3
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH472:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH138
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH473
	MOVLW       4
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH473:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH139
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH474
	MOVLW       5
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH474:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH140
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH475
	MOVLW       6
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH475:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH141
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH476
	MOVLW       7
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH476:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH142
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH477
	MOVLW       8
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH477:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH143
	MOVLW       0
	XORWF       FARG_Digit2HH_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit2HH478
	MOVLW       9
	XORWF       FARG_Digit2HH_a+0, 0 
L__Digit2HH478:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit2HH144
;LedClock.c,317 :: 		}
L_end_Digit2HH:
	RETURN      0
; end of _Digit2HH

_Show_Time:

;LedClock.c,319 :: 		void Show_Time()
;LedClock.c,321 :: 		Shift_out_Primary_2(Digit2HH((Hour/0x10)%0x10));    // 2HH
	MOVLW       4
	MOVWF       R0 
	MOVF        _Hour+0, 0 
	MOVWF       FARG_Digit2HH_a+0 
	MOVLW       0
	MOVWF       FARG_Digit2HH_a+1 
	MOVF        R0, 0 
L__Show_Time480:
	BZ          L__Show_Time481
	RRCF        FARG_Digit2HH_a+0, 1 
	BCF         FARG_Digit2HH_a+0, 7 
	ADDLW       255
	GOTO        L__Show_Time480
L__Show_Time481:
	MOVLW       15
	ANDWF       FARG_Digit2HH_a+0, 0 
	MOVWF       FARG_Digit2HH_a+0 
	CLRF        FARG_Digit2HH_a+1 
	MOVLW       0
	ANDWF       FARG_Digit2HH_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit2HH_a+1 
	CALL        _Digit2HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,322 :: 		Shift_out_Primary_4(Digit4HL(Hour%0x10));           // 4HL
	MOVLW       15
	ANDWF       _Hour+0, 0 
	MOVWF       FARG_Digit4HL_a+0 
	CLRF        FARG_Digit4HL_a+1 
	MOVLW       0
	ANDWF       FARG_Digit4HL_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit4HL_a+1 
	CALL        _Digit4HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,323 :: 		Shift_out_Primary_1(Digit1HH((Hour/0x10)%0x10));    // 1HH
	MOVLW       4
	MOVWF       R0 
	MOVF        _Hour+0, 0 
	MOVWF       FARG_Digit1HH_a+0 
	MOVLW       0
	MOVWF       FARG_Digit1HH_a+1 
	MOVF        R0, 0 
L__Show_Time482:
	BZ          L__Show_Time483
	RRCF        FARG_Digit1HH_a+0, 1 
	BCF         FARG_Digit1HH_a+0, 7 
	ADDLW       255
	GOTO        L__Show_Time482
L__Show_Time483:
	MOVLW       15
	ANDWF       FARG_Digit1HH_a+0, 0 
	MOVWF       FARG_Digit1HH_a+0 
	CLRF        FARG_Digit1HH_a+1 
	MOVLW       0
	ANDWF       FARG_Digit1HH_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit1HH_a+1 
	CALL        _Digit1HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,324 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,325 :: 		Shift_out_Primary_3(Digit3MH((Minute/0x10)%0x10));  // 3MH
	MOVLW       4
	MOVWF       R0 
	MOVF        _Minute+0, 0 
	MOVWF       FARG_Digit3MH_a+0 
	MOVLW       0
	MOVWF       FARG_Digit3MH_a+1 
	MOVF        R0, 0 
L__Show_Time484:
	BZ          L__Show_Time485
	RRCF        FARG_Digit3MH_a+0, 1 
	BCF         FARG_Digit3MH_a+0, 7 
	ADDLW       255
	GOTO        L__Show_Time484
L__Show_Time485:
	MOVLW       15
	ANDWF       FARG_Digit3MH_a+0, 0 
	MOVWF       FARG_Digit3MH_a+0 
	CLRF        FARG_Digit3MH_a+1 
	MOVLW       0
	ANDWF       FARG_Digit3MH_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit3MH_a+1 
	CALL        _Digit3MH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,326 :: 		Shift_out_Primary_4(Digit4ML(Minute%0x10));         // 4ML
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       FARG_Digit4ML_a+0 
	CLRF        FARG_Digit4ML_a+1 
	MOVLW       0
	ANDWF       FARG_Digit4ML_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit4ML_a+1 
	CALL        _Digit4ML+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,327 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,328 :: 		Shift_out_Primary_2(Digit2ML(Minute%0x10));         // 2ML
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       FARG_Digit2ML_a+0 
	CLRF        FARG_Digit2ML_a+1 
	MOVLW       0
	ANDWF       FARG_Digit2ML_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit2ML_a+1 
	CALL        _Digit2ML+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,329 :: 		Shift_out_Primary_4(Digit4MH((Minute/0x10)%0x10));  // 4MH
	MOVLW       4
	MOVWF       R0 
	MOVF        _Minute+0, 0 
	MOVWF       FARG_Digit4MH_a+0 
	MOVLW       0
	MOVWF       FARG_Digit4MH_a+1 
	MOVF        R0, 0 
L__Show_Time486:
	BZ          L__Show_Time487
	RRCF        FARG_Digit4MH_a+0, 1 
	BCF         FARG_Digit4MH_a+0, 7 
	ADDLW       255
	GOTO        L__Show_Time486
L__Show_Time487:
	MOVLW       15
	ANDWF       FARG_Digit4MH_a+0, 0 
	MOVWF       FARG_Digit4MH_a+0 
	CLRF        FARG_Digit4MH_a+1 
	MOVLW       0
	ANDWF       FARG_Digit4MH_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit4MH_a+1 
	CALL        _Digit4MH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,330 :: 		Shift_out_Primary_1(Digit1ML(Minute%0x10));         // 1ML
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       FARG_Digit1ML_a+0 
	CLRF        FARG_Digit1ML_a+1 
	MOVLW       0
	ANDWF       FARG_Digit1ML_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit1ML_a+1 
	CALL        _Digit1ML+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,331 :: 		Shift_out_Primary_1(0xFF);                          // 1LL
	MOVLW       255
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,332 :: 		Shift_out_Primary_3(Digit3HL(Hour%0x10));           // 3HL
	MOVLW       15
	ANDWF       _Hour+0, 0 
	MOVWF       FARG_Digit3HL_a+0 
	CLRF        FARG_Digit3HL_a+1 
	MOVLW       0
	ANDWF       FARG_Digit3HL_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit3HL_a+1 
	CALL        _Digit3HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,333 :: 		Shift_out_Primary_4(Digit4HH((Hour/0x10)%0x10));    // 4HH
	MOVLW       4
	MOVWF       R0 
	MOVF        _Hour+0, 0 
	MOVWF       FARG_Digit4HH_a+0 
	MOVLW       0
	MOVWF       FARG_Digit4HH_a+1 
	MOVF        R0, 0 
L__Show_Time488:
	BZ          L__Show_Time489
	RRCF        FARG_Digit4HH_a+0, 1 
	BCF         FARG_Digit4HH_a+0, 7 
	ADDLW       255
	GOTO        L__Show_Time488
L__Show_Time489:
	MOVLW       15
	ANDWF       FARG_Digit4HH_a+0, 0 
	MOVWF       FARG_Digit4HH_a+0 
	CLRF        FARG_Digit4HH_a+1 
	MOVLW       0
	ANDWF       FARG_Digit4HH_a+1, 1 
	MOVLW       0
	MOVWF       FARG_Digit4HH_a+1 
	CALL        _Digit4HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,334 :: 		Shift_out_Primary_1(0xFF);                          // 1LH
	MOVLW       255
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,335 :: 		Shift_latch_Primary();
	CALL        _Shift_latch_Primary+0, 0
;LedClock.c,336 :: 		}
L_end_Show_Time:
	RETURN      0
; end of _Show_Time

_Shift_latch_Secondary:

;LedClock.c,344 :: 		void Shift_latch_Secondary()
;LedClock.c,346 :: 		SHIFT_LAT_2 = 1;                      // Lat
	BSF         PORTC+0, 2 
;LedClock.c,347 :: 		asm nop;
	NOP
;LedClock.c,348 :: 		SHIFT_LAT_2 = 0;                      // Lat
	BCF         PORTC+0, 2 
;LedClock.c,349 :: 		}
L_end_Shift_latch_Secondary:
	RETURN      0
; end of _Shift_latch_Secondary

_Digit_Ring:

;LedClock.c,351 :: 		unsigned char Digit_Ring(int a)         // Digit - to - port
;LedClock.c,353 :: 		switch(a)
	GOTO        L_Digit_Ring145
;LedClock.c,355 :: 		case 0x00: return 0x00;  //-
L_Digit_Ring147:
	CLRF        R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,356 :: 		case 0x01: return 0x01;
L_Digit_Ring148:
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,357 :: 		case 0x02: return 0x02;
L_Digit_Ring149:
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,358 :: 		case 0x03: return 0x03;
L_Digit_Ring150:
	MOVLW       3
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,359 :: 		case 0x04: return 0x04;
L_Digit_Ring151:
	MOVLW       4
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,360 :: 		case 0x05: return 0x05;
L_Digit_Ring152:
	MOVLW       5
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,361 :: 		case 0x06: return 0x06;
L_Digit_Ring153:
	MOVLW       6
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,362 :: 		case 0x07: return 0x07;
L_Digit_Ring154:
	MOVLW       7
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,363 :: 		case 0x08: return 0x08;
L_Digit_Ring155:
	MOVLW       8
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,364 :: 		case 0x09: return 0x09;
L_Digit_Ring156:
	MOVLW       9
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,365 :: 		case 0x10: return 0x0A;
L_Digit_Ring157:
	MOVLW       10
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,366 :: 		case 0x11: return 0x0B;
L_Digit_Ring158:
	MOVLW       11
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,367 :: 		case 0x12: return 0x0C;
L_Digit_Ring159:
	MOVLW       12
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,368 :: 		case 0x13: return 0x0D;
L_Digit_Ring160:
	MOVLW       13
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,369 :: 		case 0x14: return 0x0E;  //-
L_Digit_Ring161:
	MOVLW       14
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,370 :: 		case 0x15: return 0x10;
L_Digit_Ring162:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,371 :: 		case 0x16: return 0x11;
L_Digit_Ring163:
	MOVLW       17
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,372 :: 		case 0x17: return 0x12;
L_Digit_Ring164:
	MOVLW       18
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,373 :: 		case 0x18: return 0x13;
L_Digit_Ring165:
	MOVLW       19
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,374 :: 		case 0x19: return 0x14;
L_Digit_Ring166:
	MOVLW       20
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,375 :: 		case 0x20: return 0x15;
L_Digit_Ring167:
	MOVLW       21
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,376 :: 		case 0x21: return 0x16;
L_Digit_Ring168:
	MOVLW       22
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,377 :: 		case 0x22: return 0x17;
L_Digit_Ring169:
	MOVLW       23
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,378 :: 		case 0x23: return 0x18;
L_Digit_Ring170:
	MOVLW       24
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,379 :: 		case 0x24: return 0x19;
L_Digit_Ring171:
	MOVLW       25
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,380 :: 		case 0x25: return 0x1A;
L_Digit_Ring172:
	MOVLW       26
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,381 :: 		case 0x26: return 0x1B;
L_Digit_Ring173:
	MOVLW       27
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,382 :: 		case 0x27: return 0x1C;
L_Digit_Ring174:
	MOVLW       28
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,383 :: 		case 0x28: return 0x1D;
L_Digit_Ring175:
	MOVLW       29
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,384 :: 		case 0x29: return 0x1E;
L_Digit_Ring176:
	MOVLW       30
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,385 :: 		case 0x30: return 0x1F;  //-
L_Digit_Ring177:
	MOVLW       31
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,386 :: 		case 0x31: return 0x01;
L_Digit_Ring178:
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,387 :: 		case 0x32: return 0x02;
L_Digit_Ring179:
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,388 :: 		case 0x33: return 0x03;
L_Digit_Ring180:
	MOVLW       3
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,389 :: 		case 0x34: return 0x04;
L_Digit_Ring181:
	MOVLW       4
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,390 :: 		case 0x35: return 0x05;
L_Digit_Ring182:
	MOVLW       5
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,391 :: 		case 0x36: return 0x06;  //-
L_Digit_Ring183:
	MOVLW       6
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,392 :: 		case 0x37: return 0x08;
L_Digit_Ring184:
	MOVLW       8
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,393 :: 		case 0x38: return 0x09;
L_Digit_Ring185:
	MOVLW       9
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,394 :: 		case 0x39: return 0x0A;
L_Digit_Ring186:
	MOVLW       10
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,395 :: 		case 0x40: return 0x0B;
L_Digit_Ring187:
	MOVLW       11
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,396 :: 		case 0x41: return 0x0C;
L_Digit_Ring188:
	MOVLW       12
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,397 :: 		case 0x42: return 0x0D;
L_Digit_Ring189:
	MOVLW       13
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,398 :: 		case 0x43: return 0x0E;
L_Digit_Ring190:
	MOVLW       14
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,399 :: 		case 0x44: return 0x0F;
L_Digit_Ring191:
	MOVLW       15
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,400 :: 		case 0x45: return 0x10;
L_Digit_Ring192:
	MOVLW       16
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,401 :: 		case 0x46: return 0x11;
L_Digit_Ring193:
	MOVLW       17
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,402 :: 		case 0x47: return 0x12;
L_Digit_Ring194:
	MOVLW       18
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,403 :: 		case 0x48: return 0x13;
L_Digit_Ring195:
	MOVLW       19
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,404 :: 		case 0x49: return 0x14;
L_Digit_Ring196:
	MOVLW       20
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,405 :: 		case 0x50: return 0x15;
L_Digit_Ring197:
	MOVLW       21
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,406 :: 		case 0x51: return 0x16;  //-
L_Digit_Ring198:
	MOVLW       22
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,407 :: 		case 0x52: return 0x18;
L_Digit_Ring199:
	MOVLW       24
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,408 :: 		case 0x53: return 0x19;
L_Digit_Ring200:
	MOVLW       25
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,409 :: 		case 0x54: return 0x1A;
L_Digit_Ring201:
	MOVLW       26
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,410 :: 		case 0x55: return 0x1B;
L_Digit_Ring202:
	MOVLW       27
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,411 :: 		case 0x56: return 0x1C;
L_Digit_Ring203:
	MOVLW       28
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,412 :: 		case 0x57: return 0x1D;
L_Digit_Ring204:
	MOVLW       29
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,413 :: 		case 0x58: return 0x1E;
L_Digit_Ring205:
	MOVLW       30
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,414 :: 		case 0x59: return 0x1F;
L_Digit_Ring206:
	MOVLW       31
	MOVWF       R0 
	GOTO        L_end_Digit_Ring
;LedClock.c,415 :: 		}
L_Digit_Ring145:
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring492
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring492:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring147
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring493
	MOVLW       1
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring493:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring148
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring494
	MOVLW       2
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring494:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring149
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring495
	MOVLW       3
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring495:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring150
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring496
	MOVLW       4
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring496:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring151
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring497
	MOVLW       5
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring497:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring152
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring498
	MOVLW       6
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring498:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring153
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring499
	MOVLW       7
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring499:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring154
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring500
	MOVLW       8
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring500:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring155
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring501
	MOVLW       9
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring501:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring156
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring502
	MOVLW       16
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring502:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring157
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring503
	MOVLW       17
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring503:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring158
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring504
	MOVLW       18
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring504:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring159
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring505
	MOVLW       19
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring505:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring160
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring506
	MOVLW       20
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring506:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring161
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring507
	MOVLW       21
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring507:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring162
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring508
	MOVLW       22
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring508:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring163
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring509
	MOVLW       23
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring509:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring164
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring510
	MOVLW       24
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring510:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring165
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring511
	MOVLW       25
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring511:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring166
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring512
	MOVLW       32
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring512:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring167
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring513
	MOVLW       33
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring513:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring168
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring514
	MOVLW       34
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring514:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring169
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring515
	MOVLW       35
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring515:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring170
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring516
	MOVLW       36
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring516:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring171
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring517
	MOVLW       37
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring517:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring172
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring518
	MOVLW       38
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring518:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring173
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring519
	MOVLW       39
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring519:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring174
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring520
	MOVLW       40
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring520:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring175
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring521
	MOVLW       41
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring521:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring176
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring522
	MOVLW       48
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring522:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring177
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring523
	MOVLW       49
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring523:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring178
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring524
	MOVLW       50
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring524:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring179
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring525
	MOVLW       51
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring525:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring180
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring526
	MOVLW       52
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring526:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring181
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring527
	MOVLW       53
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring527:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring182
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring528
	MOVLW       54
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring528:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring183
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring529
	MOVLW       55
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring529:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring184
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring530
	MOVLW       56
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring530:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring185
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring531
	MOVLW       57
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring531:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring186
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring532
	MOVLW       64
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring532:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring187
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring533
	MOVLW       65
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring533:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring188
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring534
	MOVLW       66
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring534:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring189
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring535
	MOVLW       67
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring535:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring190
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring536
	MOVLW       68
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring536:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring191
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring537
	MOVLW       69
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring537:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring192
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring538
	MOVLW       70
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring538:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring193
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring539
	MOVLW       71
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring539:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring194
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring540
	MOVLW       72
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring540:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring195
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring541
	MOVLW       73
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring541:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring196
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring542
	MOVLW       80
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring542:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring197
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring543
	MOVLW       81
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring543:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring198
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring544
	MOVLW       82
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring544:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring199
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring545
	MOVLW       83
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring545:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring200
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring546
	MOVLW       84
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring546:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring201
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring547
	MOVLW       85
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring547:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring202
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring548
	MOVLW       86
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring548:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring203
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring549
	MOVLW       87
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring549:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring204
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring550
	MOVLW       88
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring550:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring205
	MOVLW       0
	XORWF       FARG_Digit_Ring_a+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Digit_Ring551
	MOVLW       89
	XORWF       FARG_Digit_Ring_a+0, 0 
L__Digit_Ring551:
	BTFSC       STATUS+0, 2 
	GOTO        L_Digit_Ring206
;LedClock.c,416 :: 		}
L_end_Digit_Ring:
	RETURN      0
; end of _Digit_Ring

_Shift_out_Secondary_1b:

;LedClock.c,418 :: 		void Shift_out_Secondary_1b(char one_digit)
;LedClock.c,421 :: 		for (x=0x00; x<=0x00; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Secondary_1b207:
	MOVF        R1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Secondary_1b208
;LedClock.c,423 :: 		if (one_digit & 0x80)               // DTL mask
	BTFSS       FARG_Shift_out_Secondary_1b_one_digit+0, 7 
	GOTO        L_Shift_out_Secondary_1b210
;LedClock.c,424 :: 		SHIFT_DAT_2 = 1;                  // Dat
	BSF         PORTC+0, 3 
	GOTO        L_Shift_out_Secondary_1b211
L_Shift_out_Secondary_1b210:
;LedClock.c,425 :: 		else SHIFT_DAT_2 = 0;               // Dat
	BCF         PORTC+0, 3 
L_Shift_out_Secondary_1b211:
;LedClock.c,426 :: 		one_digit <<= 1;
	RLCF        FARG_Shift_out_Secondary_1b_one_digit+0, 1 
	BCF         FARG_Shift_out_Secondary_1b_one_digit+0, 0 
;LedClock.c,427 :: 		SHIFT_CLC_2 = 1;                    // Clk
	BSF         PORTC+0, 1 
;LedClock.c,428 :: 		asm nop;
	NOP
;LedClock.c,429 :: 		SHIFT_CLC_2 = 0;                    // Clk
	BCF         PORTC+0, 1 
;LedClock.c,421 :: 		for (x=0x00; x<=0x00; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,430 :: 		}
	GOTO        L_Shift_out_Secondary_1b207
L_Shift_out_Secondary_1b208:
;LedClock.c,431 :: 		}
L_end_Shift_out_Secondary_1b:
	RETURN      0
; end of _Shift_out_Secondary_1b

_Shift_out_Secondary_L:

;LedClock.c,433 :: 		void Shift_out_Secondary_L(char one_digit)
;LedClock.c,436 :: 		for (x=0x00; x<=0x1E; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Secondary_L212:
	MOVF        R1, 0 
	SUBLW       30
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Secondary_L213
;LedClock.c,438 :: 		one_digit --;
	DECF        FARG_Shift_out_Secondary_L_one_digit+0, 1 
;LedClock.c,439 :: 		if (one_digit <= 0x40)              // DTL mask
	MOVF        FARG_Shift_out_Secondary_L_one_digit+0, 0 
	SUBLW       64
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Secondary_L215
;LedClock.c,440 :: 		SHIFT_DAT_2 = 1;                  // Dat
	BSF         PORTC+0, 3 
	GOTO        L_Shift_out_Secondary_L216
L_Shift_out_Secondary_L215:
;LedClock.c,442 :: 		SHIFT_DAT_2 = 0;                  // Dat
	BCF         PORTC+0, 3 
L_Shift_out_Secondary_L216:
;LedClock.c,443 :: 		SHIFT_CLC_2 = 1;                    // Clk
	BSF         PORTC+0, 1 
;LedClock.c,444 :: 		asm nop;
	NOP
;LedClock.c,445 :: 		SHIFT_CLC_2 = 0;                    // Clk
	BCF         PORTC+0, 1 
;LedClock.c,436 :: 		for (x=0x00; x<=0x1E; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,446 :: 		}
	GOTO        L_Shift_out_Secondary_L212
L_Shift_out_Secondary_L213:
;LedClock.c,447 :: 		}
L_end_Shift_out_Secondary_L:
	RETURN      0
; end of _Shift_out_Secondary_L

_Shift_out_Secondary_H:

;LedClock.c,449 :: 		void Shift_out_Secondary_H(char one_digit)
;LedClock.c,452 :: 		for (x=0x00; x<=0x1E; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Secondary_H217:
	MOVF        R1, 0 
	SUBLW       30
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Secondary_H218
;LedClock.c,454 :: 		one_digit --;
	DECF        FARG_Shift_out_Secondary_H_one_digit+0, 1 
;LedClock.c,455 :: 		if (one_digit <= 0x40)              // DTL mask
	MOVF        FARG_Shift_out_Secondary_H_one_digit+0, 0 
	SUBLW       64
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Secondary_H220
;LedClock.c,456 :: 		SHIFT_DAT_2 = 0;                  // Dat
	BCF         PORTC+0, 3 
	GOTO        L_Shift_out_Secondary_H221
L_Shift_out_Secondary_H220:
;LedClock.c,458 :: 		SHIFT_DAT_2 = 1;                  // Dat
	BSF         PORTC+0, 3 
L_Shift_out_Secondary_H221:
;LedClock.c,459 :: 		SHIFT_CLC_2 = 1;                    // Clk
	BSF         PORTC+0, 1 
;LedClock.c,460 :: 		asm nop;
	NOP
;LedClock.c,461 :: 		SHIFT_CLC_2 = 0;                    // Clk
	BCF         PORTC+0, 1 
;LedClock.c,452 :: 		for (x=0x00; x<=0x1E; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,462 :: 		}
	GOTO        L_Shift_out_Secondary_H217
L_Shift_out_Secondary_H218:
;LedClock.c,463 :: 		}
L_end_Shift_out_Secondary_H:
	RETURN      0
; end of _Shift_out_Secondary_H

_Shift_out_Secondary_R:

;LedClock.c,465 :: 		void Shift_out_Secondary_R(char one_digit)
;LedClock.c,468 :: 		for (x=0x00; x<=0x1E; ++x)            // DTL int
	CLRF        R1 
L_Shift_out_Secondary_R222:
	MOVF        R1, 0 
	SUBLW       30
	BTFSS       STATUS+0, 0 
	GOTO        L_Shift_out_Secondary_R223
;LedClock.c,470 :: 		one_digit --;
	DECF        FARG_Shift_out_Secondary_R_one_digit+0, 1 
;LedClock.c,471 :: 		if (one_digit != 0)                 // DTL mask
	MOVF        FARG_Shift_out_Secondary_R_one_digit+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_Shift_out_Secondary_R225
;LedClock.c,472 :: 		SHIFT_DAT_2 = 1;                  // Dat
	BSF         PORTC+0, 3 
	GOTO        L_Shift_out_Secondary_R226
L_Shift_out_Secondary_R225:
;LedClock.c,474 :: 		SHIFT_DAT_2 = 0;                  // Dat
	BCF         PORTC+0, 3 
L_Shift_out_Secondary_R226:
;LedClock.c,475 :: 		SHIFT_CLC_2 = 1;                    // Clk
	BSF         PORTC+0, 1 
;LedClock.c,476 :: 		asm nop;
	NOP
;LedClock.c,477 :: 		SHIFT_CLC_2 = 0;                    // Clk
	BCF         PORTC+0, 1 
;LedClock.c,468 :: 		for (x=0x00; x<=0x1E; ++x)            // DTL int
	INCF        R1, 1 
;LedClock.c,478 :: 		}
	GOTO        L_Shift_out_Secondary_R222
L_Shift_out_Secondary_R223:
;LedClock.c,479 :: 		}
L_end_Shift_out_Secondary_R:
	RETURN      0
; end of _Shift_out_Secondary_R

_ShowSecond_L:

;LedClock.c,481 :: 		void ShowSecond_L()
;LedClock.c,483 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_ShowSecond_L227
;LedClock.c,485 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,486 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,487 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,488 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,489 :: 		}
L_ShowSecond_L227:
;LedClock.c,490 :: 		if (Second == 0x30)
	MOVF        _Second+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_ShowSecond_L228
;LedClock.c,492 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,493 :: 		Shift_out_Secondary_L(0x00);
	CLRF        FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,494 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,495 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,496 :: 		}
L_ShowSecond_L228:
;LedClock.c,497 :: 		if ((Second < 0x30) && (Second != 0x00))
	MOVLW       48
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ShowSecond_L231
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_ShowSecond_L231
L__ShowSecond_L343:
;LedClock.c,499 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,500 :: 		Shift_out_Secondary_L(0x00);
	CLRF        FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,501 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,502 :: 		Shift_out_Secondary_L(Digit_Ring(Second));
	MOVF        _Second+0, 0 
	MOVWF       FARG_Digit_Ring_a+0 
	MOVLW       0
	MOVWF       FARG_Digit_Ring_a+1 
	CALL        _Digit_Ring+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,503 :: 		}
L_ShowSecond_L231:
;LedClock.c,504 :: 		if (Second > 0x30)
	MOVF        _Second+0, 0 
	SUBLW       48
	BTFSC       STATUS+0, 0 
	GOTO        L_ShowSecond_L232
;LedClock.c,506 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,507 :: 		Shift_out_Secondary_L(Digit_Ring(Second));
	MOVF        _Second+0, 0 
	MOVWF       FARG_Digit_Ring_a+0 
	MOVLW       0
	MOVWF       FARG_Digit_Ring_a+1 
	CALL        _Digit_Ring+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,508 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,509 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,510 :: 		}
L_ShowSecond_L232:
;LedClock.c,511 :: 		Shift_latch_Secondary();
	CALL        _Shift_latch_Secondary+0, 0
;LedClock.c,512 :: 		}
L_end_ShowSecond_L:
	RETURN      0
; end of _ShowSecond_L

_ShowSecond_H:

;LedClock.c,514 :: 		void ShowSecond_H()
;LedClock.c,516 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_ShowSecond_H233
;LedClock.c,518 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,519 :: 		Shift_out_Secondary_L(0x00);
	CLRF        FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,520 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,521 :: 		Shift_out_Secondary_L(0x00);
	CLRF        FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,522 :: 		}
L_ShowSecond_H233:
;LedClock.c,523 :: 		if (Second == 0x30)
	MOVF        _Second+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_ShowSecond_H234
;LedClock.c,525 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,526 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,527 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,528 :: 		Shift_out_Secondary_L(0x00);
	CLRF        FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,529 :: 		}
L_ShowSecond_H234:
;LedClock.c,530 :: 		if ((Second < 0x30) && (Second != 0))
	MOVLW       48
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ShowSecond_H237
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_ShowSecond_H237
L__ShowSecond_H344:
;LedClock.c,532 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,533 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,534 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,535 :: 		Shift_out_Secondary_H(Digit_Ring(Second));
	MOVF        _Second+0, 0 
	MOVWF       FARG_Digit_Ring_a+0 
	MOVLW       0
	MOVWF       FARG_Digit_Ring_a+1 
	CALL        _Digit_Ring+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Secondary_H_one_digit+0 
	CALL        _Shift_out_Secondary_H+0, 0
;LedClock.c,536 :: 		}
L_ShowSecond_H237:
;LedClock.c,537 :: 		if (Second > 0x30)
	MOVF        _Second+0, 0 
	SUBLW       48
	BTFSC       STATUS+0, 0 
	GOTO        L_ShowSecond_H238
;LedClock.c,539 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,540 :: 		Shift_out_Secondary_H(Digit_Ring(Second));
	MOVF        _Second+0, 0 
	MOVWF       FARG_Digit_Ring_a+0 
	MOVLW       0
	MOVWF       FARG_Digit_Ring_a+1 
	CALL        _Digit_Ring+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Secondary_H_one_digit+0 
	CALL        _Shift_out_Secondary_H+0, 0
;LedClock.c,541 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,542 :: 		Shift_out_Secondary_L(0x00);
	CLRF        FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,543 :: 		}
L_ShowSecond_H238:
;LedClock.c,544 :: 		Shift_latch_Secondary();
	CALL        _Shift_latch_Secondary+0, 0
;LedClock.c,545 :: 		}
L_end_ShowSecond_H:
	RETURN      0
; end of _ShowSecond_H

_ShowSecond_R:

;LedClock.c,547 :: 		void ShowSecond_R()
;LedClock.c,549 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_ShowSecond_R239
;LedClock.c,551 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,552 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,553 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,554 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,555 :: 		}
L_ShowSecond_R239:
;LedClock.c,556 :: 		if (Second == 0x30)
	MOVF        _Second+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_ShowSecond_R240
;LedClock.c,558 :: 		Shift_out_Secondary_1b(0x00);
	CLRF        FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,559 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,560 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,561 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,562 :: 		}
L_ShowSecond_R240:
;LedClock.c,563 :: 		if ((Second < 0x30) && (Second != 0))
	MOVLW       48
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ShowSecond_R243
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_ShowSecond_R243
L__ShowSecond_R345:
;LedClock.c,565 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,566 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,567 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,568 :: 		Shift_out_Secondary_R(Digit_Ring(Second));
	MOVF        _Second+0, 0 
	MOVWF       FARG_Digit_Ring_a+0 
	MOVLW       0
	MOVWF       FARG_Digit_Ring_a+1 
	CALL        _Digit_Ring+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Secondary_R_one_digit+0 
	CALL        _Shift_out_Secondary_R+0, 0
;LedClock.c,569 :: 		}
L_ShowSecond_R243:
;LedClock.c,570 :: 		if (Second > 0x30)
	MOVF        _Second+0, 0 
	SUBLW       48
	BTFSC       STATUS+0, 0 
	GOTO        L_ShowSecond_R244
;LedClock.c,572 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,573 :: 		Shift_out_Secondary_R(Digit_Ring(Second));
	MOVF        _Second+0, 0 
	MOVWF       FARG_Digit_Ring_a+0 
	MOVLW       0
	MOVWF       FARG_Digit_Ring_a+1 
	CALL        _Digit_Ring+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Secondary_R_one_digit+0 
	CALL        _Shift_out_Secondary_R+0, 0
;LedClock.c,574 :: 		Shift_out_Secondary_1b(0xFF);
	MOVLW       255
	MOVWF       FARG_Shift_out_Secondary_1b_one_digit+0 
	CALL        _Shift_out_Secondary_1b+0, 0
;LedClock.c,575 :: 		Shift_out_Secondary_L(0x1F);
	MOVLW       31
	MOVWF       FARG_Shift_out_Secondary_L_one_digit+0 
	CALL        _Shift_out_Secondary_L+0, 0
;LedClock.c,576 :: 		}
L_ShowSecond_R244:
;LedClock.c,577 :: 		Shift_latch_Secondary();
	CALL        _Shift_latch_Secondary+0, 0
;LedClock.c,578 :: 		}
L_end_ShowSecond_R:
	RETURN      0
; end of _ShowSecond_R

_Show_Second:

;LedClock.c,580 :: 		void Show_Second()
;LedClock.c,582 :: 		if ((Minute%0x10 == 0x05) || (Minute%0x10 == 0x00))
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second349
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second349
	GOTO        L_Show_Second247
L__Show_Second349:
;LedClock.c,584 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Show_Second248
;LedClock.c,585 :: 		ShowSecond_L();
	CALL        _ShowSecond_L+0, 0
	GOTO        L_Show_Second249
L_Show_Second248:
;LedClock.c,587 :: 		ShowSecond_R();
	CALL        _ShowSecond_R+0, 0
L_Show_Second249:
;LedClock.c,588 :: 		}
L_Show_Second247:
;LedClock.c,589 :: 		if ((Minute%0x10 == 0x01) || (Minute%0x10 == 0x06))
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second348
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second348
	GOTO        L_Show_Second252
L__Show_Second348:
;LedClock.c,591 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Show_Second253
;LedClock.c,592 :: 		ShowSecond_R();
	CALL        _ShowSecond_R+0, 0
	GOTO        L_Show_Second254
L_Show_Second253:
;LedClock.c,594 :: 		ShowSecond_H();
	CALL        _ShowSecond_H+0, 0
L_Show_Second254:
;LedClock.c,595 :: 		}
L_Show_Second252:
;LedClock.c,596 :: 		if ((Minute%0x10 == 0x03) || (Minute%0x10 == 0x08))
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second347
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second347
	GOTO        L_Show_Second257
L__Show_Second347:
;LedClock.c,598 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Show_Second258
;LedClock.c,599 :: 		ShowSecond_L();
	CALL        _ShowSecond_L+0, 0
	GOTO        L_Show_Second259
L_Show_Second258:
;LedClock.c,601 :: 		ShowSecond_H();
	CALL        _ShowSecond_H+0, 0
L_Show_Second259:
;LedClock.c,602 :: 		}
L_Show_Second257:
;LedClock.c,603 :: 		if ((Minute%0x10 == 0x02) || (Minute%0x10 == 0x04) || (Minute%0x10 == 0x07) || (Minute%0x10 == 0x09))
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second346
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second346
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second346
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       9
	BTFSC       STATUS+0, 2 
	GOTO        L__Show_Second346
	GOTO        L_Show_Second262
L__Show_Second346:
;LedClock.c,605 :: 		if (Second == 0x00)
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Show_Second263
;LedClock.c,606 :: 		ShowSecond_H();
	CALL        _ShowSecond_H+0, 0
	GOTO        L_Show_Second264
L_Show_Second263:
;LedClock.c,608 :: 		ShowSecond_L();
	CALL        _ShowSecond_L+0, 0
L_Show_Second264:
;LedClock.c,609 :: 		}
L_Show_Second262:
;LedClock.c,610 :: 		}
L_end_Show_Second:
	RETURN      0
; end of _Show_Second

_DHT_StartSignal:

;LedClock.c,621 :: 		void DHT_StartSignal()
;LedClock.c,623 :: 		DHT_IO_DIRECTION = 0;
	BCF         TRISC+0, 6 
;LedClock.c,624 :: 		DHT_IO = 0;
	BCF         PORTC+0, 6 
;LedClock.c,625 :: 		delay_ms(18);
	MOVLW       71
	MOVWF       R12, 0
	MOVLW       31
	MOVWF       R13, 0
L_DHT_StartSignal265:
	DECFSZ      R13, 1, 1
	BRA         L_DHT_StartSignal265
	DECFSZ      R12, 1, 1
	BRA         L_DHT_StartSignal265
	NOP
	NOP
;LedClock.c,626 :: 		DHT_IO = 1;
	BSF         PORTC+0, 6 
;LedClock.c,627 :: 		delay_us(30);
	MOVLW       29
	MOVWF       R13, 0
L_DHT_StartSignal266:
	DECFSZ      R13, 1, 1
	BRA         L_DHT_StartSignal266
	NOP
	NOP
;LedClock.c,628 :: 		DHT_IO_DIRECTION = 1;
	BSF         TRISC+0, 6 
;LedClock.c,629 :: 		}
L_end_DHT_StartSignal:
	RETURN      0
; end of _DHT_StartSignal

_DHT_CheckResponse:

;LedClock.c,631 :: 		void DHT_CheckResponse()
;LedClock.c,633 :: 		Check = 0;
	BCF         _Check+0, BitPos(_Check+0) 
;LedClock.c,634 :: 		delay_us(40);
	MOVLW       39
	MOVWF       R13, 0
L_DHT_CheckResponse267:
	DECFSZ      R13, 1, 1
	BRA         L_DHT_CheckResponse267
	NOP
	NOP
;LedClock.c,635 :: 		if (DHT_IO == 0)
	BTFSC       PORTC+0, 6 
	GOTO        L_DHT_CheckResponse268
;LedClock.c,637 :: 		delay_us(80);
	MOVLW       79
	MOVWF       R13, 0
L_DHT_CheckResponse269:
	DECFSZ      R13, 1, 1
	BRA         L_DHT_CheckResponse269
	NOP
	NOP
;LedClock.c,638 :: 		if (DHT_IO == 1)
	BTFSS       PORTC+0, 6 
	GOTO        L_DHT_CheckResponse270
;LedClock.c,640 :: 		Check = 1;
	BSF         _Check+0, BitPos(_Check+0) 
;LedClock.c,641 :: 		delay_us(40);
	MOVLW       39
	MOVWF       R13, 0
L_DHT_CheckResponse271:
	DECFSZ      R13, 1, 1
	BRA         L_DHT_CheckResponse271
	NOP
	NOP
;LedClock.c,642 :: 		}
L_DHT_CheckResponse270:
;LedClock.c,643 :: 		}
L_DHT_CheckResponse268:
;LedClock.c,644 :: 		}
L_end_DHT_CheckResponse:
	RETURN      0
; end of _DHT_CheckResponse

_DHT_Read:

;LedClock.c,646 :: 		char DHT_Read()
;LedClock.c,649 :: 		for(j = 0; j < 8; j++)
	CLRF        R3 
L_DHT_Read272:
	MOVLW       8
	SUBWF       R3, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_DHT_Read273
;LedClock.c,651 :: 		while(!DHT_IO);
L_DHT_Read275:
	BTFSC       PORTC+0, 6 
	GOTO        L_DHT_Read276
	GOTO        L_DHT_Read275
L_DHT_Read276:
;LedClock.c,652 :: 		delay_us(30);
	MOVLW       29
	MOVWF       R13, 0
L_DHT_Read277:
	DECFSZ      R13, 1, 1
	BRA         L_DHT_Read277
	NOP
	NOP
;LedClock.c,653 :: 		if(DHT_IO == 0)
	BTFSC       PORTC+0, 6 
	GOTO        L_DHT_Read278
;LedClock.c,654 :: 		i&= ~(1<<(7 - j));
	MOVF        R3, 0 
	SUBLW       7
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R0 
	MOVF        R1, 0 
L__DHT_Read563:
	BZ          L__DHT_Read564
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__DHT_Read563
L__DHT_Read564:
	COMF        R0, 1 
	MOVF        R0, 0 
	ANDWF       R2, 1 
	GOTO        L_DHT_Read279
L_DHT_Read278:
;LedClock.c,657 :: 		i|= (1 << (7 - j));
	MOVF        R3, 0 
	SUBLW       7
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R0 
	MOVF        R1, 0 
L__DHT_Read565:
	BZ          L__DHT_Read566
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__DHT_Read565
L__DHT_Read566:
	MOVF        R0, 0 
	IORWF       R2, 1 
;LedClock.c,658 :: 		while(DHT_IO);
L_DHT_Read280:
	BTFSS       PORTC+0, 6 
	GOTO        L_DHT_Read281
	GOTO        L_DHT_Read280
L_DHT_Read281:
;LedClock.c,659 :: 		}
L_DHT_Read279:
;LedClock.c,649 :: 		for(j = 0; j < 8; j++)
	INCF        R3, 1 
;LedClock.c,660 :: 		}
	GOTO        L_DHT_Read272
L_DHT_Read273:
;LedClock.c,661 :: 		return i;
	MOVF        R2, 0 
	MOVWF       R0 
;LedClock.c,662 :: 		}
L_end_DHT_Read:
	RETURN      0
; end of _DHT_Read

_DHT_Read_Data:

;LedClock.c,664 :: 		void DHT_Read_Data()
;LedClock.c,666 :: 		DHT_StartSignal();
	CALL        _DHT_StartSignal+0, 0
;LedClock.c,667 :: 		DHT_CheckResponse();
	CALL        _DHT_CheckResponse+0, 0
;LedClock.c,668 :: 		if(Check == 1)
	BTFSS       _Check+0, BitPos(_Check+0) 
	GOTO        L_DHT_Read_Data282
;LedClock.c,670 :: 		RH_byte1 = DHT_Read();
	CALL        _DHT_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _RH_byte1+0 
;LedClock.c,671 :: 		RH_byte2 = DHT_Read();
	CALL        _DHT_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _RH_byte2+0 
;LedClock.c,672 :: 		T_byte1 = DHT_Read();
	CALL        _DHT_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _T_byte1+0 
;LedClock.c,673 :: 		T_byte2 = DHT_Read();
	CALL        _DHT_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _T_byte2+0 
;LedClock.c,674 :: 		Sum = DHT_Read();
	CALL        _DHT_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Sum+0 
	MOVLW       0
	MOVWF       _Sum+1 
;LedClock.c,675 :: 		if(Sum == ((RH_byte1+RH_byte2+T_byte1+T_byte2) & 0XFF))
	MOVF        _RH_byte2+0, 0 
	ADDWF       _RH_byte1+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        _T_byte1+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        _T_byte2+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVF        _Sum+1, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__DHT_Read_Data568
	MOVF        R2, 0 
	XORWF       _Sum+0, 0 
L__DHT_Read_Data568:
	BTFSS       STATUS+0, 2 
	GOTO        L_DHT_Read_Data283
;LedClock.c,677 :: 		Minus = 0;
	BCF         _Minus+0, BitPos(_Minus+0) 
;LedClock.c,678 :: 		Temp = T_byte1;
	MOVF        _T_byte1+0, 0 
	MOVWF       _Temp+0 
	MOVLW       0
	MOVWF       _Temp+1 
;LedClock.c,679 :: 		Temp = (Temp << 8) | T_byte2;
	MOVF        _Temp+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        _T_byte2+0, 0 
	IORWF       R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	MOVLW       0
	IORWF       R3, 1 
	MOVF        R2, 0 
	MOVWF       _Temp+0 
	MOVF        R3, 0 
	MOVWF       _Temp+1 
;LedClock.c,680 :: 		RH = RH_byte1;
	MOVF        _RH_byte1+0, 0 
	MOVWF       _RH+0 
	MOVLW       0
	MOVWF       _RH+1 
;LedClock.c,681 :: 		RH = (RH << 8) | RH_byte2;
	MOVF        _RH+0, 0 
	MOVWF       _RH+1 
	CLRF        _RH+0 
	MOVF        _RH_byte2+0, 0 
	IORWF       _RH+0, 1 
	MOVLW       0
	IORWF       _RH+1, 1 
;LedClock.c,682 :: 		if (Temp > 0x8000)
	MOVF        R3, 0 
	SUBLW       128
	BTFSS       STATUS+0, 2 
	GOTO        L__DHT_Read_Data569
	MOVF        R2, 0 
	SUBLW       0
L__DHT_Read_Data569:
	BTFSC       STATUS+0, 0 
	GOTO        L_DHT_Read_Data284
;LedClock.c,684 :: 		Temp = Temp & 0x7FFF;
	MOVLW       255
	ANDWF       _Temp+0, 1 
	MOVLW       127
	ANDWF       _Temp+1, 1 
;LedClock.c,685 :: 		Minus = 1;
	BSF         _Minus+0, BitPos(_Minus+0) 
;LedClock.c,686 :: 		}
L_DHT_Read_Data284:
;LedClock.c,687 :: 		}
	GOTO        L_DHT_Read_Data285
L_DHT_Read_Data283:
;LedClock.c,690 :: 		Check = 0;
	BCF         _Check+0, BitPos(_Check+0) 
;LedClock.c,691 :: 		}
L_DHT_Read_Data285:
;LedClock.c,692 :: 		}
	GOTO        L_DHT_Read_Data286
L_DHT_Read_Data282:
;LedClock.c,695 :: 		Check = 0;
	BCF         _Check+0, BitPos(_Check+0) 
;LedClock.c,696 :: 		}
L_DHT_Read_Data286:
;LedClock.c,697 :: 		}
L_end_DHT_Read_Data:
	RETURN      0
; end of _DHT_Read_Data

_DHT_Show_Error:

;LedClock.c,699 :: 		void DHT_Show_Error()                                 // --8--
;LedClock.c,701 :: 		Shift_out_Primary_2(0xC0);                          // 2HH
	MOVLW       192
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,702 :: 		Shift_out_Primary_4(0xD0);                          // 4HL
	MOVLW       208
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,703 :: 		Shift_out_Primary_1(0x80);                          // 1HH
	MOVLW       128
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,704 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,705 :: 		Shift_out_Primary_3(0xE0);                          // 3MH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,706 :: 		Shift_out_Primary_4(0xE0);                          // 4ML
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,707 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,708 :: 		Shift_out_Primary_2(0xC0);                          // 2ML
	MOVLW       192
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,709 :: 		Shift_out_Primary_4(0xD0);                          // 4MH
	MOVLW       208
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,710 :: 		Shift_out_Primary_1(0x80);                          // 1ML
	MOVLW       128
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,711 :: 		Shift_out_Primary_1(0xFF);                          // 1LL
	MOVLW       255
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,712 :: 		Shift_out_Primary_3(0xE0);                          // 3HL
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,713 :: 		Shift_out_Primary_4(0xE0);                          // 4HH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,714 :: 		Shift_out_Primary_1(0xFF);                          // 1LH
	MOVLW       255
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,715 :: 		Shift_latch_Primary();
	CALL        _Shift_latch_Primary+0, 0
;LedClock.c,716 :: 		}
L_end_DHT_Show_Error:
	RETURN      0
; end of _DHT_Show_Error

_DHT_Show_RH:

;LedClock.c,718 :: 		void DHT_Show_RH()                                    // XX **
;LedClock.c,720 :: 		if (RH > 0x03E7)                                    // 99.9
	MOVF        _RH+1, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__DHT_Show_RH572
	MOVF        _RH+0, 0 
	SUBLW       231
L__DHT_Show_RH572:
	BTFSC       STATUS+0, 0 
	GOTO        L_DHT_Show_RH287
;LedClock.c,722 :: 		RH = 0x03E7;
	MOVLW       231
	MOVWF       _RH+0 
	MOVLW       3
	MOVWF       _RH+1 
;LedClock.c,723 :: 		}
L_DHT_Show_RH287:
;LedClock.c,724 :: 		Shift_out_Primary_2(Digit2HH((RH/0x64)%0x0A));      // 2HH
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _RH+0, 0 
	MOVWF       R0 
	MOVF        _RH+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit2HH_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit2HH_a+1 
	CALL        _Digit2HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,725 :: 		Shift_out_Primary_4(Digit4HL((RH/0x0A)%0x0A));      // 4HL
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _RH+0, 0 
	MOVWF       R0 
	MOVF        _RH+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit4HL_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit4HL_a+1 
	CALL        _Digit4HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,726 :: 		Shift_out_Primary_1(Digit1HH((RH/0x64)%0x0A));      // 1HH
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _RH+0, 0 
	MOVWF       R0 
	MOVF        _RH+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit1HH_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit1HH_a+1 
	CALL        _Digit1HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,727 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,728 :: 		Shift_out_Primary_3(0xE0);                          // 3MH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,729 :: 		Shift_out_Primary_4(0x00);                          // 4ML
	CLRF        FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,730 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,731 :: 		Shift_out_Primary_2(0xC0);                          // 2ML
	MOVLW       192
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,732 :: 		Shift_out_Primary_4(0x00);                          // 4MH
	CLRF        FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,733 :: 		Shift_out_Primary_1(0x80);                          // 1ML
	MOVLW       128
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,734 :: 		Shift_out_Primary_1(0x00);                          // 1LL
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,735 :: 		Shift_out_Primary_3(Digit3HL((RH/0x0A)%0x0A));      // 3HL
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _RH+0, 0 
	MOVWF       R0 
	MOVF        _RH+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit3HL_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit3HL_a+1 
	CALL        _Digit3HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,736 :: 		Shift_out_Primary_4(Digit4HH((RH/0x64)%0x0A));      // 4HH
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _RH+0, 0 
	MOVWF       R0 
	MOVF        _RH+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit4HH_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit4HH_a+1 
	CALL        _Digit4HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,737 :: 		Shift_out_Primary_1(0x00);                          // 1LH
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,738 :: 		Shift_latch_Primary();
	CALL        _Shift_latch_Primary+0, 0
;LedClock.c,739 :: 		}
L_end_DHT_Show_RH:
	RETURN      0
; end of _DHT_Show_RH

_DHT_Show_Temp_H:

;LedClock.c,741 :: 		void DHT_Show_Temp_H()                                // XX *C
;LedClock.c,743 :: 		Shift_out_Primary_2(Digit2HH((Temp/0x64)%0x0A));    // 2HH
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit2HH_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit2HH_a+1 
	CALL        _Digit2HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,744 :: 		Shift_out_Primary_4(Digit4HL((Temp/0x0A)%0x0A));    // 4HL
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit4HL_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit4HL_a+1 
	CALL        _Digit4HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,745 :: 		Shift_out_Primary_1(Digit1HH((Temp/0x64)%0x0A));    // 1HH
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit1HH_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit1HH_a+1 
	CALL        _Digit1HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,746 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,747 :: 		Shift_out_Primary_3(0xE0);                          // 3MH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,748 :: 		Shift_out_Primary_4(0x90);                          // 4ML
	MOVLW       144
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,749 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,750 :: 		Shift_out_Primary_2(0x40);                          // 2ML
	MOVLW       64
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,751 :: 		Shift_out_Primary_4(0x00);                          // 4MH
	CLRF        FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,752 :: 		Shift_out_Primary_1(0x00);                          // 1ML
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,753 :: 		Shift_out_Primary_1(0x00);                          // 1LL
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,754 :: 		Shift_out_Primary_3(Digit3HL((Temp/0x0A)%0x0A));    // 3HL
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit3HL_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit3HL_a+1 
	CALL        _Digit3HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,755 :: 		Shift_out_Primary_4(Digit4HH((Temp/0x64)%0x0A));    // 4HH
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit4HH_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit4HH_a+1 
	CALL        _Digit4HH+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,756 :: 		Shift_out_Primary_1(0x00);                          // 1LH
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,757 :: 		Shift_latch_Primary();
	CALL        _Shift_latch_Primary+0, 0
;LedClock.c,758 :: 		}
L_end_DHT_Show_Temp_H:
	RETURN      0
; end of _DHT_Show_Temp_H

_DHT_Show_Temp_L:

;LedClock.c,760 :: 		void DHT_Show_Temp_L()                                // -X *C
;LedClock.c,762 :: 		Shift_out_Primary_2(0xC0);                          // 2HH
	MOVLW       192
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,763 :: 		Shift_out_Primary_4(Digit4HL((Temp/0x0A)%0x0A));    // 4HL
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit4HL_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit4HL_a+1 
	CALL        _Digit4HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,764 :: 		Shift_out_Primary_1(0x80);                          // 1HH
	MOVLW       128
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,765 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,766 :: 		Shift_out_Primary_3(0xE0);                          // 3MH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,767 :: 		Shift_out_Primary_4(0x90);                          // 4ML
	MOVLW       144
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,768 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,769 :: 		Shift_out_Primary_2(0x40);                          // 2ML
	MOVLW       64
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,770 :: 		Shift_out_Primary_4(0x00);                          // 4MH
	CLRF        FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,771 :: 		Shift_out_Primary_1(0x00);                          // 1ML
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,772 :: 		Shift_out_Primary_1(0x00);                          // 1LL
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,773 :: 		Shift_out_Primary_3(Digit3HL((Temp/0x0A)%0x0A));    // 3HL
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        _Temp+0, 0 
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16X16_U+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_Digit3HL_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Digit3HL_a+1 
	CALL        _Digit3HL+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,774 :: 		Shift_out_Primary_4(0xE0);                          // 4HH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,775 :: 		Shift_out_Primary_1(0x00);                          // 1LH
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,776 :: 		Shift_latch_Primary();
	CALL        _Shift_latch_Primary+0, 0
;LedClock.c,777 :: 		}
L_end_DHT_Show_Temp_L:
	RETURN      0
; end of _DHT_Show_Temp_L

_DHT_Show_Temp_Error:

;LedClock.c,779 :: 		void DHT_Show_Temp_Error()                            // -- *C
;LedClock.c,781 :: 		Shift_out_Primary_2(0xC0);                          // 2HH
	MOVLW       192
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,782 :: 		Shift_out_Primary_4(0xD0);                          // 4HL
	MOVLW       208
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,783 :: 		Shift_out_Primary_1(0x80);                          // 1HH
	MOVLW       128
	MOVWF       FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,784 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,785 :: 		Shift_out_Primary_3(0xE0);                          // 3MH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,786 :: 		Shift_out_Primary_4(0x90);                          // 4ML
	MOVLW       144
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,787 :: 		Shift_out_Primary_1(0x00);                          // 1EE
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,788 :: 		Shift_out_Primary_2(0x40);                          // 2ML
	MOVLW       64
	MOVWF       FARG_Shift_out_Primary_2_one_digit+0 
	CALL        _Shift_out_Primary_2+0, 0
;LedClock.c,789 :: 		Shift_out_Primary_4(0x00);                          // 4MH
	CLRF        FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,790 :: 		Shift_out_Primary_1(0x00);                          // 1ML
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,791 :: 		Shift_out_Primary_1(0x00);                          // 1LL
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,792 :: 		Shift_out_Primary_3(0xE0);                          // 3HL
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_3_one_digit+0 
	CALL        _Shift_out_Primary_3+0, 0
;LedClock.c,793 :: 		Shift_out_Primary_4(0xE0);                          // 4HH
	MOVLW       224
	MOVWF       FARG_Shift_out_Primary_4_one_digit+0 
	CALL        _Shift_out_Primary_4+0, 0
;LedClock.c,794 :: 		Shift_out_Primary_1(0x00);                          // 1LH
	CLRF        FARG_Shift_out_Primary_1_one_digit+0 
	CALL        _Shift_out_Primary_1+0, 0
;LedClock.c,795 :: 		Shift_latch_Primary();
	CALL        _Shift_latch_Primary+0, 0
;LedClock.c,796 :: 		}
L_end_DHT_Show_Temp_Error:
	RETURN      0
; end of _DHT_Show_Temp_Error

_DHT_Show_Temp:

;LedClock.c,798 :: 		void DHT_Show_Temp()
;LedClock.c,800 :: 		if (Minus == 1)
	BTFSS       _Minus+0, BitPos(_Minus+0) 
	GOTO        L_DHT_Show_Temp288
;LedClock.c,802 :: 		if (Temp > 0x0063)                                // 9.9
	MOVLW       0
	MOVWF       R0 
	MOVF        _Temp+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__DHT_Show_Temp577
	MOVF        _Temp+0, 0 
	SUBLW       99
L__DHT_Show_Temp577:
	BTFSC       STATUS+0, 0 
	GOTO        L_DHT_Show_Temp289
;LedClock.c,803 :: 		DHT_Show_Temp_Error();
	CALL        _DHT_Show_Temp_Error+0, 0
	GOTO        L_DHT_Show_Temp290
L_DHT_Show_Temp289:
;LedClock.c,805 :: 		DHT_Show_Temp_L();
	CALL        _DHT_Show_Temp_L+0, 0
L_DHT_Show_Temp290:
;LedClock.c,806 :: 		}
	GOTO        L_DHT_Show_Temp291
L_DHT_Show_Temp288:
;LedClock.c,808 :: 		DHT_Show_Temp_H();
	CALL        _DHT_Show_Temp_H+0, 0
L_DHT_Show_Temp291:
;LedClock.c,809 :: 		}
L_end_DHT_Show_Temp:
	RETURN      0
; end of _DHT_Show_Temp

_Display_All:

;LedClock.c,813 :: 		void Display_All()
;LedClock.c,815 :: 		Show_Second();
	CALL        _Show_Second+0, 0
;LedClock.c,816 :: 		if (((Second > 0x10) && (Second < 0x16)) || ((Second > 0x40) && (Second < 0x46)))
	MOVF        _Second+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All355
	MOVLW       22
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All355
	GOTO        L__Display_All353
L__Display_All355:
	MOVF        _Second+0, 0 
	SUBLW       64
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All354
	MOVLW       70
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All354
	GOTO        L__Display_All353
L__Display_All354:
	GOTO        L_Display_All298
L__Display_All353:
;LedClock.c,818 :: 		if (Check == 1)
	BTFSS       _Check+0, BitPos(_Check+0) 
	GOTO        L_Display_All299
;LedClock.c,819 :: 		DHT_Show_Temp();
	CALL        _DHT_Show_Temp+0, 0
	GOTO        L_Display_All300
L_Display_All299:
;LedClock.c,821 :: 		DHT_Show_Error();
	CALL        _DHT_Show_Error+0, 0
L_Display_All300:
;LedClock.c,822 :: 		}
	GOTO        L_Display_All301
L_Display_All298:
;LedClock.c,824 :: 		if (((Second > 0x15) && (Second < 0x21)) || ((Second > 0x45) && (Second < 0x51)))
	MOVF        _Second+0, 0 
	SUBLW       21
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All352
	MOVLW       33
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All352
	GOTO        L__Display_All350
L__Display_All352:
	MOVF        _Second+0, 0 
	SUBLW       69
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All351
	MOVLW       81
	SUBWF       _Second+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Display_All351
	GOTO        L__Display_All350
L__Display_All351:
	GOTO        L_Display_All308
L__Display_All350:
;LedClock.c,826 :: 		if (Check == 1)
	BTFSS       _Check+0, BitPos(_Check+0) 
	GOTO        L_Display_All309
;LedClock.c,827 :: 		DHT_Show_RH();
	CALL        _DHT_Show_RH+0, 0
	GOTO        L_Display_All310
L_Display_All309:
;LedClock.c,829 :: 		DHT_Show_Error();
	CALL        _DHT_Show_Error+0, 0
L_Display_All310:
;LedClock.c,830 :: 		}
	GOTO        L_Display_All311
L_Display_All308:
;LedClock.c,832 :: 		Show_Time();
	CALL        _Show_Time+0, 0
L_Display_All311:
L_Display_All301:
;LedClock.c,833 :: 		}
L_end_Display_All:
	RETURN      0
; end of _Display_All

_Keys:

;LedClock.c,839 :: 		void Keys()
;LedClock.c,841 :: 		if (PORTA.F0 == 1)
	BTFSS       PORTA+0, 0 
	GOTO        L_Keys312
;LedClock.c,842 :: 		KeyTemp = KeyTemp++;
	INCF        _KeyTemp+0, 1 
L_Keys312:
;LedClock.c,843 :: 		delay_ms(5);
	MOVLW       20
	MOVWF       R12, 0
	MOVLW       121
	MOVWF       R13, 0
L_Keys313:
	DECFSZ      R13, 1, 1
	BRA         L_Keys313
	DECFSZ      R12, 1, 1
	BRA         L_Keys313
	NOP
	NOP
;LedClock.c,844 :: 		if(KeyTemp > Debounce)
	MOVF        _KeyTemp+0, 0 
	SUBWF       _Debounce+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys314
;LedClock.c,846 :: 		Hour = Hour++;
	INCF        _Hour+0, 1 
;LedClock.c,847 :: 		if (Hour % 0x10 > 0x09)
	MOVLW       15
	ANDWF       _Hour+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       9
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys315
;LedClock.c,848 :: 		Hour = Hour + 0x06;
	MOVLW       6
	ADDWF       _Hour+0, 1 
L_Keys315:
;LedClock.c,849 :: 		if(Hour > 0x23)
	MOVF        _Hour+0, 0 
	SUBLW       35
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys316
;LedClock.c,850 :: 		Hour = 0x00;
	CLRF        _Hour+0 
L_Keys316:
;LedClock.c,851 :: 		RTC_Write(0x02, Hour);
	MOVLW       2
	MOVWF       FARG_RTC_Write_address+0 
	MOVF        _Hour+0, 0 
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,852 :: 		Show_Time();
	CALL        _Show_Time+0, 0
;LedClock.c,853 :: 		KeyTemp = 0;
	CLRF        _KeyTemp+0 
;LedClock.c,854 :: 		Set = 0x00;
	CLRF        _Set+0 
;LedClock.c,855 :: 		}
L_Keys314:
;LedClock.c,856 :: 		if (PORTA.F2 == 1)
	BTFSS       PORTA+0, 2 
	GOTO        L_Keys317
;LedClock.c,857 :: 		KeyTemp = KeyTemp++;
	INCF        _KeyTemp+0, 1 
L_Keys317:
;LedClock.c,858 :: 		delay_ms(5);
	MOVLW       20
	MOVWF       R12, 0
	MOVLW       121
	MOVWF       R13, 0
L_Keys318:
	DECFSZ      R13, 1, 1
	BRA         L_Keys318
	DECFSZ      R12, 1, 1
	BRA         L_Keys318
	NOP
	NOP
;LedClock.c,859 :: 		if(KeyTemp > Debounce)
	MOVF        _KeyTemp+0, 0 
	SUBWF       _Debounce+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys319
;LedClock.c,861 :: 		Minute = Minute++;
	INCF        _Minute+0, 1 
;LedClock.c,862 :: 		if (Minute % 0x10 > 0x09)
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       9
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys320
;LedClock.c,863 :: 		Minute = Minute + 0x06;
	MOVLW       6
	ADDWF       _Minute+0, 1 
L_Keys320:
;LedClock.c,864 :: 		if(Minute > 0x59)
	MOVF        _Minute+0, 0 
	SUBLW       89
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys321
;LedClock.c,865 :: 		Minute = 0x00;
	CLRF        _Minute+0 
L_Keys321:
;LedClock.c,866 :: 		RTC_Write(0x01, Minute);
	MOVLW       1
	MOVWF       FARG_RTC_Write_address+0 
	MOVF        _Minute+0, 0 
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,867 :: 		Show_Time();
	CALL        _Show_Time+0, 0
;LedClock.c,868 :: 		KeyTemp = 0;
	CLRF        _KeyTemp+0 
;LedClock.c,869 :: 		Set = 0x00;
	CLRF        _Set+0 
;LedClock.c,870 :: 		}
L_Keys319:
;LedClock.c,871 :: 		if (PORTA.F1 == 1)
	BTFSS       PORTA+0, 1 
	GOTO        L_Keys322
;LedClock.c,872 :: 		KeyTemp = KeyTemp++;
	INCF        _KeyTemp+0, 1 
L_Keys322:
;LedClock.c,873 :: 		delay_ms(5);
	MOVLW       20
	MOVWF       R12, 0
	MOVLW       121
	MOVWF       R13, 0
L_Keys323:
	DECFSZ      R13, 1, 1
	BRA         L_Keys323
	DECFSZ      R12, 1, 1
	BRA         L_Keys323
	NOP
	NOP
;LedClock.c,874 :: 		if(KeyTemp > Debounce)
	MOVF        _KeyTemp+0, 0 
	SUBWF       _Debounce+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys324
;LedClock.c,876 :: 		Second = Second++;
	INCF        _Second+0, 1 
;LedClock.c,877 :: 		if (Second % 0x10 > 0x09)
	MOVLW       15
	ANDWF       _Second+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       9
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys325
;LedClock.c,878 :: 		Second = Second + 0x06;
	MOVLW       6
	ADDWF       _Second+0, 1 
L_Keys325:
;LedClock.c,879 :: 		if(Second > 0x59)
	MOVF        _Second+0, 0 
	SUBLW       89
	BTFSC       STATUS+0, 0 
	GOTO        L_Keys326
;LedClock.c,880 :: 		Second = 0x00;
	CLRF        _Second+0 
L_Keys326:
;LedClock.c,881 :: 		RTC_Write(0x00, Second);
	CLRF        FARG_RTC_Write_address+0 
	MOVF        _Second+0, 0 
	MOVWF       FARG_RTC_Write_value+0 
	CALL        _RTC_Write+0, 0
;LedClock.c,882 :: 		Show_Second();
	CALL        _Show_Second+0, 0
;LedClock.c,883 :: 		KeyTemp = 0;
	CLRF        _KeyTemp+0 
;LedClock.c,884 :: 		Set = 0x00;
	CLRF        _Set+0 
;LedClock.c,885 :: 		}
L_Keys324:
;LedClock.c,886 :: 		}
L_end_Keys:
	RETURN      0
; end of _Keys

_main:

;LedClock.c,892 :: 		void main(void)
;LedClock.c,894 :: 		TRISA = 0x07;                 // Key Inputs
	MOVLW       7
	MOVWF       TRISA+0 
;LedClock.c,895 :: 		TRISB = 0x00;
	CLRF        TRISB+0 
;LedClock.c,896 :: 		TRISC = 0x71;                 // Unit Inputs
	MOVLW       113
	MOVWF       TRISC+0 
;LedClock.c,897 :: 		PORTA = 0x00;
	CLRF        PORTA+0 
;LedClock.c,898 :: 		PORTB = 0x00;
	CLRF        PORTB+0 
;LedClock.c,899 :: 		PORTC = 0x00;
	CLRF        PORTC+0 
;LedClock.c,900 :: 		ADCON0 = 0x00;                // AD Disabled
	CLRF        ADCON0+0 
;LedClock.c,901 :: 		ADCON1 = 0x06;                // All inputs are digital
	MOVLW       6
	MOVWF       ADCON1+0 
;LedClock.c,905 :: 		delay_ms(1000);               // Power-Up recovery delay
	MOVLW       16
	MOVWF       R11, 0
	MOVLW       57
	MOVWF       R12, 0
	MOVLW       13
	MOVWF       R13, 0
L_main327:
	DECFSZ      R13, 1, 1
	BRA         L_main327
	DECFSZ      R12, 1, 1
	BRA         L_main327
	DECFSZ      R11, 1, 1
	BRA         L_main327
	NOP
	NOP
;LedClock.c,906 :: 		KeyTemp = 0;
	CLRF        _KeyTemp+0 
;LedClock.c,907 :: 		Debounce = 0x14;
	MOVLW       20
	MOVWF       _Debounce+0 
;LedClock.c,908 :: 		Set = 0x64;                   // ???
	MOVLW       100
	MOVWF       _Set+0 
;LedClock.c,909 :: 		SoftINT = 0;
	BCF         _SoftINT+0, BitPos(_SoftINT+0) 
;LedClock.c,910 :: 		RTC_init();
	CALL        _RTC_init+0, 0
;LedClock.c,912 :: 		while(1)
L_main328:
;LedClock.c,914 :: 		if (PORTC.F0 == 0 && SoftINT == 0)
	BTFSC       PORTC+0, 0 
	GOTO        L_main332
	BTFSC       _SoftINT+0, BitPos(_SoftINT+0) 
	GOTO        L_main332
L__main359:
;LedClock.c,916 :: 		Second = RTC_Read(0x00);
	CLRF        FARG_RTC_Read_address+0 
	CALL        _RTC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Second+0 
;LedClock.c,917 :: 		Minute = RTC_Read(0x01);
	MOVLW       1
	MOVWF       FARG_RTC_Read_address+0 
	CALL        _RTC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Minute+0 
;LedClock.c,918 :: 		Hour = RTC_Read(0x02);
	MOVLW       2
	MOVWF       FARG_RTC_Read_address+0 
	CALL        _RTC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _Hour+0 
;LedClock.c,919 :: 		if (((Minute%0x10 == 0x03) || (Minute%0x10 == 0x08)) && (Second == 0x00))
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L__main358
	MOVLW       15
	ANDWF       _Minute+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L__main358
	GOTO        L_main337
L__main358:
	MOVF        _Second+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main337
L__main357:
;LedClock.c,921 :: 		DHT_Read_Data();
	CALL        _DHT_Read_Data+0, 0
;LedClock.c,923 :: 		}
L_main337:
;LedClock.c,924 :: 		Display_All();
	CALL        _Display_All+0, 0
;LedClock.c,925 :: 		SoftINT = 1;
	BSF         _SoftINT+0, BitPos(_SoftINT+0) 
;LedClock.c,926 :: 		}
L_main332:
;LedClock.c,927 :: 		if (PORTC.F0 == 1 && SoftINT != 0)
	BTFSS       PORTC+0, 0 
	GOTO        L_main340
	BTFSS       _SoftINT+0, BitPos(_SoftINT+0) 
	GOTO        L_main340
L__main356:
;LedClock.c,929 :: 		if (Set >= 0x64)
	MOVLW       100
	SUBWF       _Set+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_main341
;LedClock.c,931 :: 		SoftINT = 0;
	BCF         _SoftINT+0, BitPos(_SoftINT+0) 
;LedClock.c,932 :: 		KeyTemp = 0;
	CLRF        _KeyTemp+0 
;LedClock.c,933 :: 		}
	GOTO        L_main342
L_main341:
;LedClock.c,935 :: 		Set ++;
	INCF        _Set+0, 1 
L_main342:
;LedClock.c,936 :: 		}
L_main340:
;LedClock.c,937 :: 		Keys();
	CALL        _Keys+0, 0
;LedClock.c,938 :: 		}
	GOTO        L_main328
;LedClock.c,939 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
